# English translations for PACKAGE package.
# Copyright (C) 2012 THE PACKAGE'S COPYRIGHT HOLDER
# This file is distributed under the same license as the PACKAGE package.
#
# Translators:
# Translators:
# Translators:
# Translators:
# Translators:
# Translators:
# Translators:
# Translators:
# Translators:
# Translators:
# Translators:
# Translators:
# Translators:
# Translators:
# Translators:
# Translators:
# Translators:
# Translators:
# Wong Min <alpha080@gmail.com>, 2013
# Benu Lin <rmzbly@163.com>, 2017
# \u9648\u5415\u6d32 <clz@clz.me>, 2015
# Cristian Maglie <c.maglie@arduino.cc>, 2016
# dongfengweixiao <dongfengweixiao@gmail.com>, 2013-2015
# Dreamcolor <dreamcolor@gmail.com>, 2015
# Hosuke <geyang@mensa.org.au>, 2014
# Haichao Zhu <haichaozhu77@gmail.com>, 2017
# hanchao <hanchao0123@hotmail.com>, 2013
# Jacques S, 2015-2017
# Wong Min <alpha080@gmail.com>, 2013
# Yung Wei <oscarwei1988@gmail.com>, 2016
# Zhuo Liu <lzhskywalker@gmail.com>, 2015
# Godners Ren <godners@163.com>, 2016
# \u9648\u5415\u6d32 <clz@clz.me>, 2015
!=Project-Id-Version\: Arduino IDE 1.5\nReport-Msgid-Bugs-To\: \nPOT-Creation-Date\: 2012-03-29 10\:24-0400\nPO-Revision-Date\: 2018-11-23 15\:06+0000\nLast-Translator\: Cristian Maglie <c.maglie@arduino.cc>\nLanguage-Team\: Chinese (China) (http\://www.transifex.com/mbanzi/arduino-ide-15/language/zh_CN/)\nMIME-Version\: 1.0\nContent-Type\: text/plain; charset\=UTF-8\nContent-Transfer-Encoding\: 8bit\nLanguage\: zh_CN\nPlural-Forms\: nplurals\=1; plural\=0;\n

#: Preferences.java:358 Preferences.java:374
\ \ (requires\ restart\ of\ Arduino)=\uff08\u9700\u8981\u91cd\u542f Arduino\uff09

#: ../../../processing/app/debug/Compiler.java:529
#, java-format
\ Not\ used\:\ {0}=\ \u672a\u4f7f\u7528\uff1a{0}

#: ../../../processing/app/debug/Compiler.java:525
#, java-format
\ Used\:\ {0}=\ \u5df2\u4f7f\u7528\uff1a {0}

#: ../../../../../arduino-core/src/cc/arduino/Compiler.java:558
'Keyboard'\ not\ found.\ Does\ your\ sketch\ include\ the\ line\ '\#include\ <Keyboard.h>'?=\u6ca1\u6709\u627e\u5230'\u952e\u76d8'\u3002\u9879\u76ee\u91cc\u662f\u5426\u5305\u542b'\#include <Keyboard.h>'\uff1f

#: ../../../../../arduino-core/src/cc/arduino/Compiler.java:553
'Mouse'\ not\ found.\ Does\ your\ sketch\ include\ the\ line\ '\#include\ <Mouse.h>'?=\u6ca1\u6709\u627e\u5230'\u9f20\u6807'\u3002\u9879\u76ee\u91cc\u662f\u5426\u5305\u542b'\#include <Mouse.h>'\uff1f

#: ../../../../../arduino-core/src/cc/arduino/Compiler.java:61
'arch'\ folder\ is\ no\ longer\ supported\!\ See\ http\://goo.gl/gfFJzU\ for\ more\ information=\u4e0d\u518d\u652f\u6301'arch'\u76ee\u5f55\uff01\u8be6\u89c1 http\://goo.gl/gfFJzU

#: Preferences.java:478
(edit\ only\ when\ Arduino\ is\ not\ running)=\uff08\u53ea\u80fd\u5728 Arduino \u672a\u8fd0\u884c\u65f6\u8fdb\u884c\u7f16\u8f91\uff09

#: ../../../../../arduino-core/src/cc/arduino/Compiler.java:67
(legacy)=(\u9057\u7559)

#: ../../../processing/app/helpers/CommandlineParser.java:149
--curdir\ no\ longer\ supported=--curdir \u4e0d\u518d\u53d7\u652f\u6301

#: ../../../processing/app/Base.java:468
--verbose,\ --verbose-upload\ and\ --verbose-build\ can\ only\ be\ used\ together\ with\ --verify\ or\ --upload=--verbose\u3001--verbose-upload \u548c --verbose-build \u53ea\u80fd\u4e0e --verify \u6216 --upload \u4e00\u8d77\u4f7f\u7528

#: Sketch.java:746
.pde\ ->\ .ino=.pde-> .ino

#: Editor.java:2053
<html>\ <head>\ <style\ type\="text/css">b\ {\ font\:\ 13pt\ "Lucida\ Grande"\ }p\ {\ font\:\ 11pt\ "Lucida\ Grande";\ margin-top\:\ 8px\ }</style>\ </head><b>Do\ you\ want\ to\ save\ changes\ to\ this\ sketch<BR>\ before\ closing?</b><p>If\ you\ don't\ save,\ your\ changes\ will\ be\ lost.=<html> <head> <style type\="text/css">b { font\: 13pt "Lucida Grande" }p { font\: 11pt "Lucida Grande"; margin-top\: 8px }</style> </head><b>\u5728\u5173\u95ed\u524d\u4f60\u60f3\u8981\u628a\u6240\u505a\u7684\u4fee\u6539<BR>\u4fdd\u5b58\u5230\u9879\u76ee\u6587\u4ef6\u4e2d\u5417\uff1f </b><p>\u5982\u679c\u60a8\u4e0d\u4fdd\u5b58\uff0c\u6240\u505a\u7684\u4fee\u6539\u5c06\u4f1a\u4e22\u5931\u3002

#: Editor.java:2169
#, java-format
A\ folder\ named\ "{0}"\ already\ exists.\ Can't\ open\ sketch.=\u6587\u4ef6\u5939"{0}"\u5df2\u5b58\u5728\u3002\u65e0\u6cd5\u6253\u5f00\u9879\u76ee\u3002

#: Base.java:2690
#, java-format
A\ library\ named\ {0}\ already\ exists=\u5e93 {0} \u5df2\u5b58\u5728

#: UpdateCheck.java:103
A\ new\ version\ of\ Arduino\ is\ available,\nwould\ you\ like\ to\ visit\ the\ Arduino\ download\ page?=Arduino \u6709\u65b0\u7684\u53ef\u7528\u7248\u672c\uff0c\u4f60\n\u9700\u8981\u7acb\u5373\u6d4f\u89c8\u5b83\u7684\u4e0b\u8f7d\u7f51\u7ad9\u5417\uff1f

#: ../../../../../app/src/cc/arduino/contributions/BuiltInCoreIsNewerCheck.java:96
#, java-format
A\ newer\ {0}\ package\ is\ available=\u5f53\u524d\u6709\u65b0 {0} \u5305\u53ef\u4f9b\u4f7f\u7528

#: ../../../../../app/src/processing/app/Base.java:2307
A\ subfolder\ of\ your\ sketchbook\ is\ not\ a\ valid\ library=\u9879\u76ee\u6587\u4ef6\u5939\u4e2d\u7684\u5b50\u6587\u4ef6\u5939\u4e0d\u662f\u6709\u6548\u7684\u5e93

#: Editor.java:1116
About\ Arduino=\u5173\u4e8e Arduino

#: ../../../../../app/src/cc/arduino/i18n/Languages.java:41
Acoli=\u963f\u4e54\u5229\u8bed

#: ../../../../../app/src/processing/app/Base.java:1177
Add\ .ZIP\ Library...=\u6dfb\u52a0 .ZIP \u5e93...

#: Editor.java:650
Add\ File...=\u6dfb\u52a0\u6587\u4ef6...

#: ../../../../../app/src/cc/arduino/view/preferences/AdditionalBoardsManagerURLTextArea.java:73
Additional\ Boards\ Manager\ URLs=\u9644\u52a0\u5f00\u53d1\u677f\u7ba1\u7406\u5668\u7f51\u5740

#: ../../../../../app/src/cc/arduino/view/preferences/Preferences.java:268
Additional\ Boards\ Manager\ URLs\:\ =\u9644\u52a0\u5f00\u53d1\u677f\u7ba1\u7406\u5668\u7f51\u5740\:

#: ../../../../../app/src/processing/app/Preferences.java:161
Afrikaans=\u5357\u975e\u8bed

#: ../../../../../app/src/cc/arduino/view/preferences/Preferences.java:248
Aggressively\ cache\ compiled\ core=\u4e3b\u52a8\u7f13\u5b58\u4ee5\u7f16\u8bd1\u7684\u5185\u6838

#: ../../../processing/app/Preferences.java:96
Albanian=\u963f\u5c14\u5df4\u5c3c\u4e9a\u8bed

#: ../../../../../app/src/cc/arduino/contributions/ui/DropdownAllItem.java:42
#: ../../../../../app/src/cc/arduino/contributions/packages/ui/DropdownAllCoresItem.java:43
#: ../../../../../app/src/cc/arduino/view/preferences/Preferences.java:187
All=\u5168\u90e8

#: tools/FixEncoding.java:77
An\ error\ occurred\ while\ trying\ to\ fix\ the\ file\ encoding.\nDo\ not\ attempt\ to\ save\ this\ sketch\ as\ it\ may\ overwrite\nthe\ old\ version.\ Use\ Open\ to\ re-open\ the\ sketch\ and\ try\ again.\n=\u5728\u4fee\u590d\u6587\u4ef6\u7f16\u7801\u65f6\u53d1\u751f\u4e00\u4e2a\u9519\u8bef\u3002\n\u8bf7\u4e0d\u8981\u4fdd\u5b58\u8fd9\u4e2a\u9879\u76ee\u5426\u5219\u53ef\u80fd\u4f1a\u8986\u76d6\u6e90\u6587\u4ef6\u3002\n\u4f7f\u7528\u201c\u6253\u5f00\u201d\u547d\u4ee4\u91cd\u65b0\u6253\u5f00\u9879\u76ee\u518d\u8bd5\u4e00\u6b21\u3002\n

#: ../../../cc/arduino/contributions/libraries/LibraryInstaller.java:99
An\ error\ occurred\ while\ updating\ libraries\ index\!=\u66f4\u65b0\u5e93\u7d22\u5f15\u65f6\u51fa\u9519\!

#: ../../../processing/app/BaseNoGui.java:528
An\ error\ occurred\ while\ uploading\ the\ sketch=\u4e0a\u4f20\u9879\u76ee\u51fa\u9519

#: ../../../processing/app/BaseNoGui.java:506
#: ../../../processing/app/BaseNoGui.java:551
#: ../../../processing/app/BaseNoGui.java:554
An\ error\ occurred\ while\ verifying\ the\ sketch=\u9a8c\u8bc1\u9879\u76ee\u51fa\u9519

#: ../../../processing/app/BaseNoGui.java:521
An\ error\ occurred\ while\ verifying/uploading\ the\ sketch=\u4e0a\u4f20/\u9a8c\u8bc1\u9879\u76ee\u51fa\u9519

#: Base.java:228
An\ unknown\ error\ occurred\ while\ trying\ to\ load\nplatform-specific\ code\ for\ your\ machine.=\u8f7d\u5165\u7279\u5b9a\u5e73\u53f0\u4ee3\u7801\u65f6\n\u53d1\u751f\u672a\u77e5\u9519\u8bef\u3002

#: Preferences.java:85
Arabic=\u963f\u62c9\u4f2f\u8bed

#: Preferences.java:86
Aragonese=\u963f\u62c9\u8d21\u8bed

#: tools/Archiver.java:48
Archive\ Sketch=\u9879\u76ee\u5b58\u6863

#: tools/Archiver.java:109
Archive\ sketch\ as\:=\u9879\u76ee\u53e6\u5b58\u4e3a\:

#: tools/Archiver.java:139
Archive\ sketch\ canceled.=\u9879\u76ee\u5b58\u6863\u5df2\u53d6\u6d88

#: ../../../../../arduino-core/src/cc/arduino/Compiler.java:67
#, java-format
!Archiving\ built\ core\ (caching)\ in\:\ {0}=

#: tools/Archiver.java:75
Archiving\ the\ sketch\ has\ been\ canceled\ because\nthe\ sketch\ couldn't\ save\ properly.=\u5df2\u7ecf\u53d6\u6d88\u5f52\u6863\u9879\u76ee\n\u56e0\u4e3a\u65e0\u6cd5\u6b63\u786e\u4fdd\u5b58\u8be5\u9879\u76ee\u3002

#: ../../../../../arduino-core/src/processing/app/I18n.java:24
Arduino=Arduino

#: ../../../processing/app/I18n.java:83
Arduino\ ARM\ (32-bits)\ Boards=Arduino ARM (32 \u4f4d)\u5f00\u53d1\u677f

#: ../../../processing/app/I18n.java:82
Arduino\ AVR\ Boards=Arduino AVR \u5f00\u53d1\u677f

#: Editor.java:2137
Arduino\ can\ only\ open\ its\ own\ sketches\nand\ other\ files\ ending\ in\ .ino\ or\ .pde=Arduino IDE\u4ec5\u80fd\u6253\u5f00\u5b83\u81ea\u5df1\u7684\u9879\u76ee\n\u6216\u8005\u5176\u4ed6\u4ee5 .ino \u6216 .pde \u7ed3\u5c3e\u7684\u6587\u4ef6

#: Base.java:1682
Arduino\ cannot\ run\ because\ it\ could\ not\ncreate\ a\ folder\ to\ store\ your\ settings.=Arduino\u65e0\u6cd5\u8fd0\u884c\uff0c\u56e0\u4e3a\u65e0\u6cd5\n\u5efa\u7acb\u6587\u4ef6\u5939\u5b58\u50a8\u4f60\u7684\u8bbe\u7f6e\u3002

#: Base.java:1889
Arduino\ cannot\ run\ because\ it\ could\ not\ncreate\ a\ folder\ to\ store\ your\ sketchbook.=Arduino\u65e0\u6cd5\u8fd0\u884c\n\u56e0\u4e3a\u65e0\u6cd5\u521b\u5efa\u9879\u76ee\u6587\u4ef6\u5939\u3002

#: ../../../processing/app/EditorStatus.java:471
Arduino\:\ =Arduino\:

#: Sketch.java:588
#, java-format
Are\ you\ sure\ you\ want\ to\ delete\ "{0}"?=\u786e\u5b9a\u8981\u5220\u9664"{0}"?

#: Sketch.java:587
Are\ you\ sure\ you\ want\ to\ delete\ this\ sketch?=\u786e\u5b9a\u8981\u5220\u9664\u6b64\u9879\u76ee\u5417\uff1f

#: ../../../processing/app/Base.java:356
Argument\ required\ for\ --board=\u9700\u8981 --board \u53c2\u6570

#: ../../../processing/app/Base.java:363
Argument\ required\ for\ --port=\u9700\u8981 --port \u53c2\u6570

#: ../../../processing/app/Base.java:377
Argument\ required\ for\ --pref=\u9700\u8981 --pref \u53c2\u6570

#: ../../../processing/app/Base.java:384
Argument\ required\ for\ --preferences-file=\u9700\u8981 --preferences-file \u53c2\u6570

#: ../../../processing/app/helpers/CommandlineParser.java:76
#: ../../../processing/app/helpers/CommandlineParser.java:83
#, java-format
Argument\ required\ for\ {0}={0} \u9700\u8981\u53c2\u6570

#: ../../../processing/app/Preferences.java:137
Armenian=\u4e9a\u7f8e\u5c3c\u4e9a\u8bed

#: ../../../processing/app/Preferences.java:138
Asturian=\u963f\u65af\u56fe\u91cc\u4e9a\u65af\u8bed

#: ../../../processing/app/debug/Compiler.java:145
Authorization\ required=\u9700\u8981\u8eab\u4efd\u9a8c\u8bc1

#: tools/AutoFormat.java:91
Auto\ Format=\u81ea\u52a8\u683c\u5f0f\u5316

#: tools/AutoFormat.java:944
Auto\ Format\ finished.=\u81ea\u52a8\u683c\u5f0f\u5316\u5b8c\u6210\u3002

#: ../../../../../app/src/cc/arduino/view/preferences/Preferences.java:457
Auto-detect\ proxy\ settings=\u81ea\u52a8\u68c0\u6d4b\u4ee3\u7406\u8bbe\u7f6e

#: ../../../../../app/src/cc/arduino/view/preferences/Preferences.java:264
Automatic=\u81ea\u52a8\u8c03\u6574

#: ../../../../../app/src/cc/arduino/view/preferences/Preferences.java:474
Automatic\ proxy\ configuration\ URL\:=\u81ea\u52a8\u4ee3\u7406\u8bbe\u7f6eURL\:

#: SerialMonitor.java:110
Autoscroll=\u81ea\u52a8\u6eda\u5c4f

#: Editor.java:2619
#, java-format
Bad\ error\ line\:\ {0}=\u9519\u8bef\u884c\: {0}

#: Editor.java:2136
Bad\ file\ selected=\u9009\u62e9\u7684\u6587\u4ef6\u6709\u95ee\u9898

#: ../../../processing/app/Preferences.java:149
Basque=\u5df4\u65af\u514b\u8bed

#: ../../../processing/app/Preferences.java:139
Belarusian=\u767d\u4fc4\u7f57\u65af\u8bed

#: ../../../processing/app/Base.java:1433
#: ../../../processing/app/Editor.java:707
Board=\u5f00\u53d1\u677f

#: ../../../../../app//src/processing/app/Editor.java:2824
Board\ Info=\u5f00\u53d1\u677f\u4fe1\u606f

#: ../../../../../app/src/processing/app/Editor.java:2545
#: ../../../../../app/src/processing/app/Editor.java:2641
#, java-format
Board\ at\ {0}\ is\ not\ available=\u5f00\u53d1\u677f\u5728 {0} \u4e0d\u53ef\u7528

#: ../../../../../arduino-core/src/cc/arduino/Compiler.java:62
#, java-format
Board\ {0}\ (platform\ {1},\ package\ {2})\ is\ unknown=\u5f00\u53d1\u677f {0} (\u5e73\u53f0 {1}, \u5305 {2}) \u672a\u77e5

#: ../../../processing/app/debug/TargetBoard.java:42
#, java-format
Board\ {0}\:{1}\:{2}\ doesn''t\ define\ a\ ''build.board''\ preference.\ Auto-set\ to\:\ {3}={0}\:{1}\:{2} \u5f00\u53d1\u677f\u6ca1\u6709\u5b9a\u4e49''build.board''\u504f\u597d\u3002\u81ea\u52a8\u8bbe\u7f6e\u4e3a\uff1a {3}

#: ../../../processing/app/EditorStatus.java:472
Board\:\ =\u5f00\u53d1\u677f\uff1a

#: ../../../../../app/src/cc/arduino/contributions/packages/ui/ContributionManagerUI.java:89
Boards\ Manager=\u5f00\u53d1\u677f\u7ba1\u7406\u5668

#: ../../../../../app/src/processing/app/Base.java:1320
Boards\ Manager...=\u5f00\u53d1\u677f\u7ba1\u7406\u5668...

#: ../../../../../app/src/cc/arduino/contributions/packages/ui/ContributedPlatformTableCell.java:328
Boards\ included\ in\ this\ package\:=\u8fd9\u4e2a\u5305\u5305\u542b\u7684\u5f00\u53d1\u677f\:

#: ../../../processing/app/debug/Compiler.java:1273
#, java-format
Bootloader\ file\ specified\ but\ missing\:\ {0}=\u5df2\u7ecf\u6307\u5b9a\u5f15\u5bfc\u7a0b\u5e8f\u6587\u4ef6\uff0c\u4f46\u662f\u7f3a\u5c11\: {0}

#: ../../../processing/app/Preferences.java:140
Bosnian=\u6ce2\u65af\u5c3c\u4e9a\u8bed

#: SerialMonitor.java:112
Both\ NL\ &\ CR=NL \u548c CR

#: Preferences.java:81
Browse=\u6d4f\u89c8

#: ../../../processing/app/Sketch.java:1530
Build\ options\ changed,\ rebuilding\ all=\u6784\u5efa\u9009\u9879\u5df2\u53d8\u66f4\uff0c\u5168\u90e8\u91cd\u65b0\u6784\u5efa

#: ../../../../../app/src/processing/app/Base.java:1210
Built-in\ Examples=\u5185\u7f6e\u793a\u4f8b

#: ../../../processing/app/Preferences.java:80
Bulgarian=\u4fdd\u52a0\u5229\u4e9a\u8bed

#: ../../../processing/app/Preferences.java:141
Burmese\ (Myanmar)=\u7f05\u7538\u8bed(\u7f05\u7538)

#: Editor.java:708
Burn\ Bootloader=\u70e7\u5f55\u5f15\u5bfc\u7a0b\u5e8f

#: Editor.java:2504
Burning\ bootloader\ to\ I/O\ Board\ (this\ may\ take\ a\ minute)...=\u6b63\u5728\u70e7\u5f55\u5f15\u5bfc\u7a0b\u5e8f\u5230\u8f93\u5165/\u8f93\u51fa\u5f00\u53d1\u677f(\u53ef\u80fd\u9700\u8981\u51e0\u5206\u949f)\u2026

#: ../../../../../arduino-core/src/cc/arduino/contributions/DownloadableContributionsDownloader.java:91
CRC\ doesn't\ match,\ file\ is\ corrupted.\ It\ may\ be\ a\ temporary\ problem,\ please\ retry\ later.=CRC\u6821\u9a8c\u51fa\u9519\uff1a\u6587\u4ef6\u53ef\u80fd\u5df2\u635f\u574f\u3002\u8fd9\u53ef\u80fd\u662f\u4e2a\u6682\u65f6\u6027\u7684\u95ee\u9898\uff0c\u8bf7\u7a0d\u540e\u91cd\u8bd5\u3002

#: ../../../processing/app/Base.java:379
#, java-format
Can\ only\ pass\ one\ of\:\ {0}=\u4ee5\u4e0b\u4e4b\u4e00\u65e0\u6cd5\u901a\u8fc7\: {0}

#: ../../../../../app/src/cc/arduino/view/preferences/Preferences.java:254
Can't\ enable\ external\ editor=\u65e0\u6cd5\u542f\u7528\u5916\u90e8\u7f16\u8f91\u5668

#: ../../../processing/app/BaseNoGui.java:504
#: ../../../processing/app/BaseNoGui.java:549
Can't\ find\ the\ sketch\ in\ the\ specified\ path=\u65e0\u6cd5\u5728\u6307\u5b9a\u8def\u5f84\u627e\u5230\u8be5\u9879\u76ee

#: ../../../processing/app/Preferences.java:92
Canadian\ French=\u52a0\u62ff\u5927\u6cd5\u8bed

#: Preferences.java:79 Sketch.java:585 Sketch.java:737 Sketch.java:1042
#: Editor.java:2064 Editor.java:2145 Editor.java:2465
Cancel=\u53d6\u6d88

#: ../../../processing/app/Base.java:465
Cannot\ specify\ any\ sketch\ files=\u65e0\u6cd5\u6307\u5b9a\u4efb\u4f55\u9879\u76ee\u6587\u4ef6

#: SerialMonitor.java:112
Carriage\ return=\u56de\u8f66

#: Preferences.java:87
Catalan=\u52a0\u6cf0\u7f57\u5c3c\u4e9a\u8bed

#: Preferences.java:419
Check\ for\ updates\ on\ startup=\u542f\u52a8\u65f6\u68c0\u67e5\u66f4\u65b0

#: ../../../processing/app/Preferences.java:142
Chinese\ (China)=\u4e2d\u6587(\u4e2d\u56fd)

#: ../../../processing/app/Preferences.java:144
Chinese\ (Taiwan)=\u4e2d\u6587(\u53f0\u6e7e)

#: ../../../processing/app/Preferences.java:143
Chinese\ (Taiwan)\ (Big5)=\u4e2d\u6587(\u53f0\u6e7e)(Big5)

#: ../../../../../app/src/processing/app/AbstractTextMonitor.java:80
Clear\ output=\u6e05\u7a7a\u8f93\u51fa

#: ../../../../../app/src/cc/arduino/view/preferences/AdditionalBoardsManagerURLTextArea.java:98
Click\ for\ a\ list\ of\ unofficial\ boards\ support\ URLs=\u70b9\u51fb\u67e5\u770b\u975e\u5b98\u65b9\u5f00\u53d1\u677f\u652f\u6301\u7f51\u5740\u5217\u8868

#: Editor.java:521 Editor.java:2024
Close=\u5173\u95ed

#: Editor.java:1208 Editor.java:2749
Comment/Uncomment=\u6ce8\u91ca/\u53d6\u6d88\u6ce8\u91ca

#: ../../../../../arduino-core/src/processing/app/I18n.java:30
Communication=\u901a\u4fe1

#: ../../../../../app/src/cc/arduino/view/preferences/Preferences.java:266
Compiler\ warnings\:\ =\u7f16\u8bd1\u5668\u8b66\u544a\:

#: Sketch.java:1608 Editor.java:1890
Compiling\ sketch...=\u6b63\u5728\u7f16\u8bd1\u9879\u76ee...

#: ../../../../../arduino-core/src/processing/app/I18n.java:27
Contributed=\u8d21\u732e

#: Editor.java:1157 Editor.java:2707
Copy=\u590d\u5236

#: Editor.java:1177 Editor.java:2723
Copy\ as\ HTML=\u590d\u5236\u4e3a HTML \u683c\u5f0f

#: ../../../processing/app/EditorStatus.java:455
Copy\ error\ messages=\u590d\u5236\u9519\u8bef\u4fe1\u606f

#: Editor.java:1165 Editor.java:2715
Copy\ for\ Forum=\u590d\u5236\u5230\u8bba\u575b

#: Sketch.java:1089
#, java-format
Could\ not\ add\ ''{0}''\ to\ the\ sketch.=\u65e0\u6cd5\u5c06 ''{0}'' \u6dfb\u52a0\u5230\u8fd9\u4e2a\u9879\u76ee

#: Editor.java:2188
Could\ not\ copy\ to\ a\ proper\ location.=\u65e0\u6cd5\u590d\u5236\u5230\u6b63\u786e\u7684\u5730\u65b9\u3002

#: ../../../../../arduino-core/src/processing/app/Sketch.java:342
#, java-format
Could\ not\ create\ directory\ "{0}"=\u65e0\u6cd5\u521b\u5efa\u76ee\u5f55"{0}"

#: Editor.java:2179
Could\ not\ create\ the\ sketch\ folder.=\u65e0\u6cd5\u521b\u5efa\u9879\u76ee\u6587\u4ef6\u5939

#: Editor.java:2206
Could\ not\ create\ the\ sketch.=\u65e0\u6cd5\u521b\u5efa\u8fd9\u4e2a\u9879\u76ee\u3002

#: Sketch.java:617
#, java-format
Could\ not\ delete\ "{0}".=\u65e0\u6cd5\u5220\u9664"{0}"

#: Sketch.java:1066
#, java-format
Could\ not\ delete\ the\ existing\ ''{0}''\ file.=\u65e0\u6cd5\u5220\u9664\u73b0\u6709''{0}''\u6587\u4ef6\u3002

#: ../../../processing/app/debug/TargetPlatform.java:74
#, java-format
Could\ not\ find\ boards.txt\ in\ {0}.\ Is\ it\ pre-1.5?=\u65e0\u6cd5\u5728 {0} \u4e2d\u627e\u5230 boards.txt\u3002\u4e5f\u8bb8\u5b83\u662f\u65e9\u4e8e 1.5 \u7684\u7248\u672c\uff1f

#: ../../../cc/arduino/packages/uploaders/SerialUploader.java:282
#, java-format
Could\ not\ find\ tool\ {0}=\u65e0\u6cd5\u627e\u5230\u5de5\u5177{0}

#: ../../../cc/arduino/packages/uploaders/SerialUploader.java:278
#, java-format
Could\ not\ find\ tool\ {0}\ from\ package\ {1}=\u5728\u5305 {1} \u4e2d\u65e0\u6cd5\u627e\u5230\u5de5\u5177 {0}

#: Base.java:1934
#, java-format
Could\ not\ open\ the\ URL\n{0}=\u65e0\u6cd5\u6253\u5f00\u7f51\u5740\n{0}

#: Base.java:1958
#, java-format
Could\ not\ open\ the\ folder\n{0}=\u65e0\u6cd5\u6253\u5f00\u6587\u4ef6\u5939

#: Sketch.java:1769
Could\ not\ properly\ re-save\ the\ sketch.\ You\ may\ be\ in\ trouble\ at\ this\ point,\nand\ it\ might\ be\ time\ to\ copy\ and\ paste\ your\ code\ to\ another\ text\ editor.=\u65e0\u6cd5\u91cd\u65b0\u4fdd\u5b58\u9879\u76ee\u3002\u53ef\u80fd\u9047\u5230\u9ebb\u70e6\u4e86\uff0c\n\u5efa\u8bae\u60a8\u590d\u5236\u4ee3\u7801\u5230\u5176\u4ed6\u7f16\u8f91\u5668\u4e2d\u4ee5\u9632\u4e22\u5931\u3002

#: Sketch.java:1768
Could\ not\ re-save\ sketch=\u4e0d\u80fd\u91cd\u65b0\u4fdd\u5b58\u9879\u76ee

#: Theme.java:52
Could\ not\ read\ color\ theme\ settings.\nYou'll\ need\ to\ reinstall\ Arduino.=\u65e0\u6cd5\u8bfb\u53d6\u989c\u8272\u4e3b\u9898\u914d\u7f6e\u3002\n\u8bf7\u91cd\u65b0\u5b89\u88c5Arduino

#: Preferences.java:219
Could\ not\ read\ default\ settings.\nYou'll\ need\ to\ reinstall\ Arduino.=\u65e0\u6cd5\u8bfb\u53d6\u9884\u8bbe\u8bbe\u7f6e\u3002\n\u4f60\u5fc5\u987b\u91cd\u65b0\u5b89\u88c5Arduino\u3002

#: Base.java:2482
#, java-format
Could\ not\ remove\ old\ version\ of\ {0}=\u65e0\u6cd5\u79fb\u9664{0}\u7684\u65e7\u7248\u672c

#: Base.java:2492
#, java-format
Could\ not\ replace\ {0}=\u65e0\u6cd5\u66ff\u6362{0}

#: ../../../../../arduino-core/src/processing/app/PreferencesData.java:141
#, java-format
!Could\ not\ write\ preferences\ file\:\ {0}=

#: tools/Archiver.java:74
Couldn't\ archive\ sketch=\u65e0\u6cd5\u5f52\u6863\u9879\u76ee

#: Sketch.java:1647
Couldn't\ determine\ program\ size\:\ {0}=\u65e0\u6cd5\u786e\u5b9a\u7a0b\u5e8f\u7684\u5927\u5c0f\uff1a{0}

#: Sketch.java:616
Couldn't\ do\ it=\u65e0\u6cd5\u5b8c\u6210\u52a8\u4f5c

#: debug/BasicUploader.java:209
Couldn't\ find\ a\ Board\ on\ the\ selected\ port.\ Check\ that\ you\ have\ the\ correct\ port\ selected.\ \ If\ it\ is\ correct,\ try\ pressing\ the\ board's\ reset\ button\ after\ initiating\ the\ upload.=\u6240\u9009\u4e32\u53e3\u4e0a\u6ca1\u6709\u627e\u5230\u5f00\u53d1\u677f\u3002\u8bf7\u68c0\u67e5\u662f\u5426\u9009\u62e9\u4e86\u6b63\u786e\u7684\u7aef\u53e3\u3002\u5982\u679c\u7aef\u53e3\u6b63\u786e\uff0c\u8bf7\u5728\u5f00\u59cb\u4e0a\u4f20\u540e\u6309\u677f\u5361\u4e0a\u7684\u91cd\u542f\u6309\u952e\u3002

#: ../../../processing/app/Preferences.java:82
Croatian=\u514b\u7f57\u5730\u4e9a

#: Editor.java:1149 Editor.java:2699
Cut=\u526a\u5207

#: ../../../../../app/src/processing/app/Preferences.java:119
Czech\ (Czech\ Republic)=\u6377\u514b\u8bed(\u6377\u514b\u5171\u548c\u56fd)

#: ../../../../../app/src/processing/app/Preferences.java:120
Danish\ (Denmark)=\u4e39\u9ea6\u8bed(\u4e39\u9ea6)

#: ../../../../../arduino-core/src/processing/app/I18n.java:36
Data\ Processing=\u6570\u636e\u5904\u7406

#: ../../../../../arduino-core/src/processing/app/I18n.java:35
Data\ Storage=\u6570\u636e\u5b58\u50a8

#: ../../../../../app/src/processing/app/Editor.java:1386
Decrease\ Font\ Size=\u51cf\u5c0f\u5b57\u53f7

#: Editor.java:1224 Editor.java:2765
Decrease\ Indent=\u51cf\u5c0f\u7f29\u8fdb

#: ../../../../../app/src/cc/arduino/view/preferences/Preferences.java:185
Default=\u9ed8\u8ba4

#: ../../../../../app/src/cc/arduino/view/preferences/Preferences.java:870
!Default\ theme=

#: EditorHeader.java:314 Sketch.java:591
Delete=\u5220\u9664

#: ../../../../../arduino-core/src/processing/app/I18n.java:33
Device\ Control=\u8bbe\u5907\u63a7\u5236

#: debug/Uploader.java:199
Device\ is\ not\ responding,\ check\ the\ right\ serial\ port\ is\ selected\ or\ RESET\ the\ board\ right\ before\ exporting=\u8bbe\u5907\u65e0\u54cd\u5e94\uff0c\u8bf7\u68c0\u67e5\u662f\u5426\u9009\u62e9\u4e86\u6b63\u786e\u7684\u4e32\u53e3\uff0c\u6216\u5728\u5bfc\u51fa\u7a0b\u5e8f\u524d\u91cd\u542f\u5f00\u53d1\u677f

#: tools/FixEncoding.java:57
Discard\ all\ changes\ and\ reload\ sketch?=\u64a4\u9500\u6240\u6709\u66f4\u6539\u5e76\u91cd\u65b0\u8f7d\u5165\u9879\u76ee\uff1f

#: ../../../../../arduino-core/src/processing/app/I18n.java:29
Display=\u663e\u793a

#: ../../../processing/app/Preferences.java:438
Display\ line\ numbers=\u663e\u793a\u884c\u53f7

#: ../../../../../app/src/cc/arduino/contributions/packages/ui/ContributionManagerUI.java:195
#, java-format
Do\ you\ want\ to\ remove\ {0}?\nIf\ you\ do\ so\ you\ won't\ be\ able\ to\ use\ {0}\ any\ more.=\u4f60\u786e\u5b9a\u5220\u9664 {0}\uff1f\n\u5982\u679c\u5220\u9664\u4f60\u5c06\u65e0\u6cd5\u7ee7\u7eed\u4f7f\u7528 {0} \u3002

#: Editor.java:2064
Don't\ Save=\u8bf7\u52ff\u4fdd\u5b58

#: Editor.java:2275 Editor.java:2311
Done\ Saving.=\u4fdd\u5b58\u5b8c\u6210\u3002

#: Editor.java:2510
Done\ burning\ bootloader.=\u70e7\u5f55\u5f15\u5bfc\u7a0b\u5e8f\u5b8c\u6210\u3002

#: ../../../processing/app/BaseNoGui.java:507
#: ../../../processing/app/BaseNoGui.java:552
Done\ compiling=\u7f16\u8bd1\u5b8c\u6210

#: Editor.java:1911 Editor.java:1928
Done\ compiling.=\u7f16\u8bd1\u5b8c\u6210\u3002

#: Editor.java:2564
Done\ printing.=\u8f93\u51fa\u5b8c\u6210\u3002

#: ../../../processing/app/BaseNoGui.java:514
Done\ uploading=\u4e0a\u4f20\u5b8c\u6210

#: Editor.java:2395 Editor.java:2431
Done\ uploading.=\u4e0a\u4f20\u6210\u529f\u3002

#: ../../../cc/arduino/contributions/DownloadableContributionsDownloader.java:105
#, java-format
Downloaded\ {0}kb\ of\ {1}kb.=\u5df2\u7ecf\u4e0b\u8f7d {1}kb\u4e2d\u7684 {0}kb\u3002

#: ../../../cc/arduino/contributions/packages/ContributionInstaller.java:107
Downloading\ boards\ definitions.=\u6b63\u5728\u4e0b\u8f7d\u5f00\u53d1\u677f\u5b9a\u4e49\u3002

#: ../../../cc/arduino/contributions/libraries/LibraryInstaller.java:86
Downloading\ libraries\ index...=\u6b63\u5728\u4e0b\u8f7d\u5e93\u7d22\u5f15...

#: ../../../cc/arduino/contributions/libraries/LibraryInstaller.java:115
#, java-format
Downloading\ library\:\ {0}=\u6b63\u5728\u4e0b\u8f7d\u5e93\: {0}

#: ../../../cc/arduino/contributions/packages/ContributionInstaller.java:318
Downloading\ platforms\ index...=\u6b63\u5728\u4e0b\u8f7d\u5e73\u53f0\u7d22\u5f15...

#: ../../../cc/arduino/contributions/packages/ContributionInstaller.java:113
#, java-format
Downloading\ tools\ ({0}/{1}).=\u6b63\u5728\u4e0b\u8f7d\u5de5\u5177 ({0}/{1}).

#: Preferences.java:91
Dutch=\u8377\u5170\u8bed

#: ../../../processing/app/Preferences.java:144
Dutch\ (Netherlands)=\u8377\u5170\u8bed(\u8377\u5170)

#: ../../../../../app/src/processing/app/Editor.java:1309
Edison\ Help=Edison \u5e2e\u52a9

#: Editor.java:1130
Edit=\u7f16\u8f91

#: Preferences.java:370
Editor\ font\ size\:\ =\u7f16\u8f91\u5668\u5b57\u4f53\u5927\u5c0f

#: Preferences.java:353
Editor\ language\:\ =\u7f16\u8f91\u5668\u8bed\u8a00

#: ../../../../../app/src/cc/arduino/view/preferences/Preferences.java:322
Enable\ Code\ Folding=\u542f\u7528\u4ee3\u7801\u6298\u53e0

#: Preferences.java:92
English=\u82f1\u8bed

#: ../../../processing/app/Preferences.java:145
English\ (United\ Kingdom)=\u82f1\u8bed(UK)

#: ../../../../../app/src/cc/arduino/view/preferences/Preferences.java:269
#: ../../../../../app/src/cc/arduino/view/preferences/Preferences.java:271
Enter\ a\ comma\ separated\ list\ of\ urls=\u8f93\u5165\u7528\u9017\u53f7\u5206\u9694\u7684\u7f51\u5740\u5217\u8868

#: ../../../../../app/src/cc/arduino/view/preferences/AdditionalBoardsManagerURLTextArea.java:96
Enter\ additional\ URLs,\ one\ for\ each\ row=\u8f93\u5165\u9644\u52a0\u7f51\u5740\uff0c\u4e00\u884c\u4e00\u4e2a

#: Editor.java:1062
Environment=\u73af\u5883

#: Base.java:2147 Preferences.java:256 Sketch.java:475 Sketch.java:481
#: Sketch.java:496 Sketch.java:503 Sketch.java:526 Sketch.java:543
#: Editor.java:2167 Editor.java:2178 Editor.java:2188 Editor.java:2206
Error=\u9519\u8bef

#: Sketch.java:1065 Sketch.java:1088
Error\ adding\ file=\u6dfb\u52a0\u6587\u4ef6\u51fa\u9519

#: ../../../../../arduino-core/src/cc/arduino/Compiler.java:272
#, java-format
Error\ compiling\ for\ board\ {0}.=\u4e3a\u5f00\u53d1\u677f {0} \u7f16\u8bd1\u65f6\u51fa\u9519\u3002

#: debug/Compiler.java:369
Error\ compiling.=\u7f16\u8bd1\u6709\u8bef\u3002

#: ../../../cc/arduino/contributions/DownloadableContributionsDownloader.java:113
#, java-format
Error\ downloading\ {0}=\u4e0b\u8f7d {0} \u65f6\u51fa\u9519

#: Base.java:1674
Error\ getting\ the\ Arduino\ data\ folder.=\u53d6\u5f97Arduino\u8d44\u6599\u6587\u4ef6\u5939\u65f6\u53d1\u751f\u9519\u8bef\u3002

#: Serial.java:593
#, java-format
Error\ inside\ Serial.{0}()=\u4e32\u884c\u9519\u8bef {0}()

#: ../../../../../app/src/processing/app/Theme.java:302
#, java-format
!Error\ loading\ theme\ {0}\:\ {1}=

#: ../../../processing/app/debug/TargetPlatform.java:95
#: ../../../processing/app/debug/TargetPlatform.java:106
#: ../../../processing/app/debug/TargetPlatform.java:117
#, java-format
Error\ loading\ {0}=\u8f7d\u5165{0}\u51fa\u9519

#: Serial.java:181
#, java-format
Error\ opening\ serial\ port\ ''{0}''.=\u6253\u5f00\u4e32\u884c\u7aef\u53e3{0}\u51fa\u9519

#: ../../../processing/app/Serial.java:119
#, java-format
Error\ opening\ serial\ port\ ''{0}''.\ Try\ consulting\ the\ documentation\ at\ http\://playground.arduino.cc/Linux/All\#Permission=\u6253\u5f00\u4e32\u53e3 ''{0}'' \u65f6\u51fa\u9519\u3002\u5efa\u8bae\u67e5\u9605\u6b64\u5904\u7684\u6587\u6863 http\://playground.arduino.cc/Linux/All\#Permission

#: ../../../../../arduino-core/src/cc/arduino/contributions/libraries/LibrariesIndexer.java:109
#, java-format
!Error\ parsing\ libraries\ index\:\ {0}\nTry\ to\ open\ the\ Library\ Manager\ to\ update\ the\ libraries\ index.=

#: ../../../../../arduino-core/src/cc/arduino/contributions/libraries/LibrariesIndexer.java:112
#, java-format
!Error\ reading\ libraries\ index\:\ {0}=

#: ../../../../../arduino-core/src/cc/arduino/contributions/packages/ContributionsIndexer.java:113
#, java-format
!Error\ reading\ package\ indexes\ folder\:\ {0}\n(maybe\ a\ permission\ problem?)=

#: Preferences.java:277
Error\ reading\ preferences=\u8bfb\u53d6\u9996\u9009\u9879\u51fa\u9519

#: Preferences.java:279
#, java-format
Error\ reading\ the\ preferences\ file.\ Please\ delete\ (or\ move)\n{0}\ and\ restart\ Arduino.=\u8bfb\u53d6\u9996\u9009\u9879\u65f6\u51fa\u9519\u3002\u8bf7\u5220\u9664\uff08\u6216\u79fb\u9664\uff09\n{0}\u5e76\u91cd\u542fArduino\u3002

#: ../../../cc/arduino/contributions/packages/ContributionInstaller.java:146
#: ../../../cc/arduino/contributions/packages/ContributionInstaller.java:166
#: ../../../cc/arduino/contributions/packages/ContributionInstaller.java:245
Error\ running\ post\ install\ script=\u8fd0\u884c\u5b89\u88c5\u540e\u811a\u672c\u51fa\u9519

#: ../../../cc/arduino/packages/DiscoveryManager.java:25
Error\ starting\ discovery\ method\:\ =\u5f00\u59cb\u53d1\u73b0\u65b9\u6cd5\u9519\u8bef\:

#: Serial.java:125
#, java-format
Error\ touching\ serial\ port\ ''{0}''.=\u63a5\u89e6\u4e32\u53e3 ''{0}'' \u91ca\u51fa\u9519\u3002

#: Editor.java:2512 Editor.java:2516 Editor.java:2520
Error\ while\ burning\ bootloader.=\u70e7\u5f55\u5f15\u5bfc\u7a0b\u5e8f\u51fa\u9519\u3002

#: ../../../processing/app/Editor.java:2555
Error\ while\ burning\ bootloader\:\ missing\ '{0}'\ configuration\ parameter=\u70e7\u5f55\u5f15\u5bfc\u7a0b\u5e8f\u65f6\u51fa\u9519\uff1a\u7f3a\u5c11 '{0}' \u914d\u7f6e\u53c2\u6570

#: ../../../../../app/src/processing/app/Editor.java:2355
!Error\ while\ burning\ bootloader\:\ please\ select\ a\ serial\ port.=

#: ../../../../../app/src/processing/app/Editor.java:1940
Error\ while\ compiling\:\ missing\ '{0}'\ configuration\ parameter=\u7f16\u8bd1\u65f6\u51fa\u9519\uff1a\u7f3a\u5c11 '{0}' \u914d\u7f6e\u53c2\u6570

#: Editor.java:2567
Error\ while\ printing.=\u5728\u8f93\u51fa\u8fc7\u7a0b\u4e2d\u53d1\u751f\u9519\u8bef\u3002

#: ../../../../../arduino-core/src/processing/app/Serial.java:117
#, java-format
Error\ while\ setting\ serial\ port\ parameters\:\ {0}\ {1}\ {2}\ {3}=\u8bbe\u7f6e\u4e32\u53e3\u53c2\u6570\u65f6\u51fa\u9519\uff1a{0} {1} {2} {3}

#: ../../../processing/app/BaseNoGui.java:528
Error\ while\ uploading=\u4e0a\u4f20\u51fa\u9519

#: ../../../processing/app/Editor.java:2409
#: ../../../processing/app/Editor.java:2449
Error\ while\ uploading\:\ missing\ '{0}'\ configuration\ parameter=\u4e0a\u4f20\u65f6\u51fa\u9519\uff1a\u7f3a\u5c11 '{0}' \u914d\u7f6e\u53c2\u6570

#: ../../../processing/app/BaseNoGui.java:506
#: ../../../processing/app/BaseNoGui.java:551
#: ../../../processing/app/BaseNoGui.java:554
Error\ while\ verifying=\u9a8c\u8bc1\u8fc7\u7a0b\u51fa\u9519

#: ../../../processing/app/BaseNoGui.java:521
Error\ while\ verifying/uploading=\u9a8c\u8bc1/\u4e0a\u4f20\u8fc7\u7a0b\u51fa\u9519

#: Preferences.java:93
Estonian=\u7231\u6c99\u5c3c\u4e9a\u8bed

#: Editor.java:516
Examples=\u793a\u4f8b

#: ../../../../../app/src/processing/app/Base.java:1185
Examples\ for\ any\ board=\u6240\u6709\u5f00\u53d1\u677f\u7684\u793a\u4f8b\u3002

#: ../../../../../app/src/processing/app/Base.java:1205
#: ../../../../../app/src/processing/app/Base.java:1216
#, java-format
Examples\ for\ {0}={0} \u7684\u4f8b\u5b50

#: ../../../../../app/src/processing/app/Base.java:1244
Examples\ from\ Custom\ Libraries=\u7b2c\u4e09\u65b9\u5e93\u793a\u4f8b

#: ../../../../../app/src/processing/app/Base.java:1329
Examples\ from\ Other\ Libraries=\u5176\u4ed6\u5e93\u793a\u4f8b

#: ../../../../../app/src/processing/app/Editor.java:753
Export\ canceled,\ changes\ must\ first\ be\ saved.=\u5df2\u53d6\u6d88\u5bfc\u51fa\uff0c\u8bf7\u5148\u4fdd\u5b58\u4fee\u6539\u3002

#: ../../../../../app/src/processing/app/Editor.java:750
Export\ compiled\ Binary=\u5bfc\u51fa\u5df2\u7f16\u8bd1\u7684\u4e8c\u8fdb\u5236\u6587\u4ef6

#: ../../../processing/app/Base.java:416
#, java-format
Failed\ to\ open\ sketch\:\ "{0}"=\u6253\u5f00\u9879\u76ee\u5931\u8d25\:\uff1a"{0}"

#: ../../../../../arduino-core/src/processing/app/SketchFile.java:183
#, java-format
Failed\ to\ rename\ "{0}"\ to\ "{1}"=\u65e0\u6cd5\u5c06"{0}"\u91cd\u547d\u540d\u4e3a"{1}"

#: ../../../../../arduino-core/src/processing/app/Sketch.java:298
Failed\ to\ rename\ sketch\ folder=\u91cd\u547d\u540d\u9879\u76ee\u6587\u4ef6\u5939\u5931\u8d25\u3002

#: Editor.java:491
File=\u6587\u4ef6

#: ../../../../../arduino-core/src/processing/app/SketchData.java:139
#, java-format
File\ name\ {0}\ is\ invalid\:\ ignored=\u6587\u4ef6\u540d {0} \u65e0\u6548\uff1a\u5df2\u5ffd\u7565

#: Preferences.java:94
Filipino=\u83f2\u5f8b\u5bbe\u8bed

#: ../../../../../app/src/cc/arduino/contributions/ui/InstallerJDialog.java:95
Filter\ your\ search...=\u5bf9\u641c\u7d22\u8fdb\u884c\u8fc7\u6ee4...

#: FindReplace.java:124 FindReplace.java:127
Find=\u5bfb\u627e\uff1a

#: Editor.java:1249
Find\ Next=\u67e5\u627e\u4e0b\u4e00\u4e2a

#: Editor.java:1259
Find\ Previous=\u67e5\u627e\u4e0a\u4e00\u4e2a

#: Editor.java:1086 Editor.java:2775
Find\ in\ Reference=\u5728\u53c2\u8003\u6587\u4ef6\u4e2d\u5bfb\u627e

#: Editor.java:1234
Find...=\u67e5\u627e...

#: FindReplace.java:80
Find\:=\u5bfb\u627e\uff1a

#: ../../../processing/app/Preferences.java:147
Finnish=\u82ac\u5170\u8bed

#: tools/FixEncoding.java:41 tools/FixEncoding.java:58
#: tools/FixEncoding.java:79
Fix\ Encoding\ &\ Reload=\u4fee\u6b63\u7f16\u7801\u5e76\u91cd\u65b0\u52a0\u8f7d

#: ../../../processing/app/BaseNoGui.java:318
For\ information\ on\ installing\ libraries,\ see\:\ http\://www.arduino.cc/en/Guide/Libraries\n=\u5b89\u88c5\u5e93\u7684\u8be6\u7ec6\u4fe1\u606f\uff0c\u8bf7\u53c2\u9605\uff1ahttp\://www.arduino.cc/en/Guide/Libraries\n

#: ../../../cc/arduino/packages/uploaders/SerialUploader.java:118
#, java-format
Forcing\ reset\ using\ 1200bps\ open/close\ on\ port\ {0}=\u5728\u7aef\u53e3 {0} \u4f7f\u7528 1200bps \u5f00/\u5173\u6765\u5f3a\u884c\u91cd\u7f6e

#: Preferences.java:95
French=\u6cd5\u8bed

#: Editor.java:1097
Frequently\ Asked\ Questions=\u5e38\u89c1\u95ee\u9898

#: Preferences.java:96
Galician=\u52a0\u5229\u897f\u4e9a\u8bed

#: ../../../../../app/src/processing/app/Preferences.java:176
Galician\ (Spain)=\u52a0\u5229\u897f\u4e9a\u8bed(\u897f\u73ed\u7259)

#: ../../../../../app/src/processing/app/Editor.java:1288
Galileo\ Help=Galileo \u5e2e\u52a9

#: ../../../processing/app/Preferences.java:94
Georgian=\u683c\u9c81\u5409\u4e9a

#: Preferences.java:97
German=\u5fb7\u8bed

#: ../../../../../app//src/processing/app/Editor.java:817
Get\ Board\ Info=\u53d6\u5f97\u5f00\u53d1\u677f\u4fe1\u606f

#: Editor.java:1054
Getting\ Started=\u5165\u95e8

#: ../../../processing/app/Sketch.java:1646
#, java-format
Global\ variables\ use\ {0}\ bytes\ ({2}%%)\ of\ dynamic\ memory,\ leaving\ {3}\ bytes\ for\ local\ variables.\ Maximum\ is\ {1}\ bytes.=\u5168\u5c40\u53d8\u91cf\u4f7f\u7528\u4e86{0}\u5b57\u8282\uff0c({2}%%)\u7684\u52a8\u6001\u5185\u5b58\uff0c\u4f59\u7559{3}\u5b57\u8282\u5c40\u90e8\u53d8\u91cf\u3002\u6700\u5927\u4e3a{1}\u5b57\u8282\u3002

#: ../../../processing/app/Sketch.java:1651
#, java-format
Global\ variables\ use\ {0}\ bytes\ of\ dynamic\ memory.=\u5168\u5c40\u53d8\u91cf\u4f7f\u7528\u4e86{0}\u5b57\u8282\u7684\u52a8\u6001\u5185\u5b58\u3002

#: ../../../../../app/src/cc/arduino/view/GoToLineNumber.java:66
Go\ to\ line=\u8df3\u8f6c\u5230\u884c

#: ../../../../../app/src/processing/app/Editor.java:1460
Go\ to\ line...=\u8df3\u8f6c\u5230\u884c...

#: Preferences.java:98
Greek=\u5e0c\u814a\u8bed

#: ../../../processing/app/Preferences.java:95
Hebrew=\u5e0c\u4f2f\u6765\u8bed

#: Editor.java:1015
Help=\u5e2e\u52a9

#: Preferences.java:99
Hindi=\u5370\u5ea6\u8bed

#: ../../../../../app/src/cc/arduino/view/preferences/Preferences.java:489
Host\ name\:=\u4e3b\u673a\u540d\uff1a

#: Sketch.java:295
How\ about\ saving\ the\ sketch\ first\ \nbefore\ trying\ to\ rename\ it?=\u91cd\u547d\u540d\u524d\u662f\u5426\u5148\u4fdd\u5b58\u9879\u76ee\uff1f

#: Sketch.java:882
How\ very\ Borges\ of\ you=\u8c01\u80fd\u6bd4\u4f60\u66f4\u75f4\u72c2

#: Preferences.java:100
Hungarian=\u5308\u7259\u5229\u8bed

#: ../../../../../app/src/processing/app/Base.java:1319
INCOMPATIBLE=\u4e0d\u76f8\u5bb9

#: FindReplace.java:96
Ignore\ Case=\u5ffd\u7565\u5927\u5c0f\u5199

#: ../../../../../arduino-core/src/cc/arduino/contributions/libraries/LibrariesIndexer.java:184
!Ignoring\ library\ with\ bad\ name=

#: Base.java:1436
Ignoring\ sketch\ with\ bad\ name=\u5ffd\u7565\u540d\u79f0\u9519\u8bef\u7684\u9879\u76ee

#: ../../../processing/app/Sketch.java:736
In\ Arduino\ 1.0,\ the\ default\ file\ extension\ has\ changed\nfrom\ .pde\ to\ .ino.\ \ New\ sketches\ (including\ those\ created\nby\ "Save-As")\ will\ use\ the\ new\ extension.\ \ The\ extension\nof\ existing\ sketches\ will\ be\ updated\ on\ save,\ but\ you\ can\ndisable\ this\ in\ the\ Preferences\ dialog.\n\nSave\ sketch\ and\ update\ its\ extension?=\u5728Arduino 1.0\u4e2d\uff0c\u9ed8\u8ba4\u6587\u4ef6\u6269\u5c55\u540d\u7531\n.pde\u6539\u4e3a.ino\u3002\u65b0\u5efa(\u5305\u62ec\u901a\u8fc7\u201c\u53e6\u5b58\u4e3a\u201d\n\u521b\u5efa\u7684)\u9879\u76ee\u5c06\u4f7f\u7528\u65b0\u6269\u5c55\u540d\u3002\u539f\u6709\n\u9879\u76ee\u7684\u6269\u5c55\u540d\u5c06\u5728\u4fdd\u5b58\u65f6\u88ab\u66f4\u65b0\uff0c\u53ef\u4ee5\n\u901a\u8fc7\u9996\u9009\u9879\u83dc\u5355\u7981\u7528\u6b64\u529f\u80fd\u3002\n\n\u662f\u5426\u4fdd\u5b58\u9879\u76ee\u5e76\u66f4\u65b0\u6269\u5c55\u540d\uff1f

#: ../../../../../app/src/processing/app/Editor.java:778
Include\ Library=\u52a0\u8f7d\u5e93

#: ../../../processing/app/BaseNoGui.java:768
#: ../../../processing/app/BaseNoGui.java:771
Incorrect\ IDE\ installation\ folder=\u9519\u8bef\u7684 IDE \u5b89\u88c5\u6587\u4ef6\u5939

#: ../../../../../app/src/processing/app/Editor.java:1378
Increase\ Font\ Size=\u589e\u5927\u5b57\u53f7

#: Editor.java:1216 Editor.java:2757
Increase\ Indent=\u589e\u52a0\u7f29\u8fdb

#: Preferences.java:101
Indonesian=\u5370\u5c3c\u8bed

#: ../../../../../app/src/processing/app/Base.java:295
Initializing\ packages...=\u6b63\u5728\u521d\u59cb\u5316\u5305...

#: ../../../../../app/src/cc/arduino/contributions/libraries/ui/ContributedLibraryTableCell.java:75
#: ../../../../../app/src/cc/arduino/contributions/libraries/ui/ContributedLibraryTableCell.java:81
#: ../../../../../app/src/cc/arduino/contributions/libraries/ui/ContributedLibraryTableCell.java:289
#: ../../../../../app/src/cc/arduino/contributions/packages/ui/ContributedPlatformTableCell.java:78
#: ../../../../../app/src/cc/arduino/contributions/packages/ui/ContributedPlatformTableCell.java:91
#: ../../../../../app/src/cc/arduino/contributions/packages/ui/ContributedPlatformTableCell.java:303
Install=\u5b89\u88c5

#: ../../../cc/arduino/contributions/packages/ContributionInstaller.java:170
Installation\ completed\!=\u5b89\u88c5\u5b8c\u6210\uff01

#: ../../../../../app/src/cc/arduino/contributions/libraries/ui/DropdownInstalledLibraryItem.java:50
Installed=\u5df2\u5b89\u88c5

#: ../../../cc/arduino/contributions/packages/ContributionInstaller.java:154
Installing\ boards...=\u6b63\u5728\u5b89\u88c5\u5f00\u53d1\u677f...

#: ../../../../../arduino-core/src/cc/arduino/contributions/libraries/LibraryInstaller.java:109
#, java-format
!Installing\ library\:\ {0}\:{1}=

#: ../../../cc/arduino/contributions/packages/ContributionInstaller.java:134
#, java-format
Installing\ tools\ ({0}/{1})...=\u6b63\u5728\u5b89\u88c5\u5de5\u5177 ({0}/{1})...

#: ../../../../../app/src/cc/arduino/contributions/libraries/ui/LibraryManagerUI.java:239
#: ../../../../../app/src/cc/arduino/contributions/packages/ui/ContributionManagerUI.java:172
Installing...=\u6b63\u5728\u5b89\u88c5...

#: ../../../../../app/src/cc/arduino/view/preferences/Preferences.java:256
Interface\ scale\:=\u754c\u9762\u7f29\u653e\uff1a

#: ../../../processing/app/Base.java:1204
#, java-format
Invalid\ library\ found\ in\ {0}\:\ {1}=\u627e\u5230\u65e0\u6548\u5e93\u5728 {0}\: {1}

#: ../../../../../arduino-core/src/cc/arduino/Compiler.java:66
#, java-format
Invalid\ quoting\:\ no\ closing\ [{0}]\ char\ found.=\u65e0\u6548\u5f15\u7528\uff1a\u672a\u627e\u5230\u5173\u95ed [{0}] \u5b57\u7b26\u3002

#: ../../../../../arduino-core/src/processing/app/packages/UserLibrary.java:158
#, java-format
!Invalid\ version\ '{0}'\ for\ library\ in\:\ {1}=

#: ../../../../../app/src/processing/app/Base.java:316
#: ../../../../../app/src/processing/app/Base.java:362
#, java-format
!Invalid\ version\ {0}=

#: Preferences.java:102
Italian=\u610f\u5927\u5229\u8bed

#: Preferences.java:103
Japanese=\u65e5\u8bed

#: ../../../../../app/src/cc/arduino/i18n/Languages.java:81
Kazakh=\u54c8\u8428\u514b\u8bed

#: Preferences.java:104
Korean=\u97e9\u8bed

#: Preferences.java:105
Latvian=\u62c9\u8131\u7ef4\u4e9a\u8bed

#: ../../../../../app/src/cc/arduino/contributions/libraries/ui/LibraryManagerUI.java:93
Library\ Manager=\u5e93\u7ba1\u7406\u5668

#: ../../../../../app/src/processing/app/Base.java:2349
Library\ added\ to\ your\ libraries.\ Check\ "Include\ library"\ menu=\u5e93\u5df2\u7ecf\u52a0\u5165\uff0c\u8bf7\u68c0\u67e5\u201c\u5bfc\u5165\u5e93\u201d\u83dc\u5355

#: ../../../../../arduino-core/src/cc/arduino/Compiler.java:73
Library\ can't\ use\ both\ 'src'\ and\ 'utility'\ folders.\ Double\ check\ {0}=\u5e93\u4e0d\u53ef\u4ee5\u540c\u65f6\u4f7f\u7528 'src' \u548c 'utility' \u6587\u4ef6\u5939\u3002\u518d\u6b21\u68c0\u67e5 {0}

#: ../../../../../arduino-core/src/cc/arduino/contributions/libraries/LibraryInstaller.java:88
#, java-format
!Library\ is\ already\ installed\:\ {0}\:{1}=

#: ../../../../../app/src/cc/arduino/view/GoToLineNumber.java:70
Line\ number\:=\u884c\u53f7\uff1a

#: Preferences.java:106
Lithuaninan=\u7acb\u9676\u5b9b\u8bed

#: ../../../../../app/src/processing/app/Base.java:132
Loading\ configuration...=\u6b63\u5728\u52a0\u8f7d\u914d\u7f6e...

#: ../../../../../arduino-core/src/cc/arduino/Compiler.java:73
#, java-format
Looking\ for\ recipes\ like\ {0}*{1}=\u5bfb\u627e\u4e0e{0}*{1}\u7c7b\u4f3c\u7684\u65b9\u6cd5

#: ../../../processing/app/Sketch.java:1684
Low\ memory\ available,\ stability\ problems\ may\ occur.=\u53ef\u7528\u5185\u5b58\u504f\u4f4e\uff0c\u53ef\u80fd\u51fa\u73b0\u7a33\u5b9a\u6027\u95ee\u9898

#: ../../../../../app/src/processing/app/Base.java:1168
Manage\ Libraries...=\u7ba1\u7406\u5e93...

#: ../../../../../app/src/cc/arduino/view/preferences/Preferences.java:466
Manual\ proxy\ configuration=\u4eba\u5de5\u4ee3\u7406\u8bbe\u7f6e

#: Preferences.java:107
Marathi=\u9a6c\u62c9\u5730\u8bed

#: Base.java:2112
Message=\u6d88\u606f

#: ../../../../../arduino-core/src/cc/arduino/Compiler.java:81
#, java-format
Missing\ '{0}'\ from\ library\ in\ {1}={1} \u4e2d\u7684\u5e93\u7f3a\u5c11 '{0}'

#: ../../../processing/app/BaseNoGui.java:455
Mode\ not\ supported=\u4e0d\u652f\u6301\u6b64\u6a21\u5f0f

#: ../../../../../app/src/cc/arduino/view/preferences/Preferences.java:186
More=\u66f4\u591a

#: Preferences.java:449
More\ preferences\ can\ be\ edited\ directly\ in\ the\ file=\u5728\u9996\u9009\u9879\u4e2d\u8fd8\u6709\u66f4\u591a\u9009\u9879\u53ef\u4ee5\u76f4\u63a5\u7f16\u8f91

#: Editor.java:2156
Moving=\u79fb\u52a8\u4e2d

#: ../../../processing/app/BaseNoGui.java:484
Multiple\ files\ not\ supported=\u4e0d\u652f\u6301\u591a\u6587\u4ef6

#: ../../../processing/app/debug/Compiler.java:520
#, java-format
Multiple\ libraries\ were\ found\ for\ "{0}"="{0}" \u5bf9\u5e94\u591a\u4e2a\u5e93

#: ../../../processing/app/Base.java:395
Must\ specify\ exactly\ one\ sketch\ file=\u5fc5\u987b\u5236\u5b9a\u4e00\u4e2a\u9879\u76ee\u6587\u4ef6

#: Sketch.java:282
Name\ for\ new\ file\:=\u65b0\u6587\u4ef6\u7684\u540d\u5b57

#: ../../../../../app//src/processing/app/Editor.java:2809
Native\ serial\ port,\ can't\ obtain\ info=\u672c\u5730\u4e32\u53e3\uff0c\u65e0\u6cd5\u83b7\u53d6\u4fe1\u606f

#: ../../../processing/app/Preferences.java:149
Nepali=\u5c3c\u6cca\u5c14\u8bed

#: ../../../../../app/src/cc/arduino/view/preferences/Preferences.java:601
Network=\u7f51\u7edc

#: ../../../../../app//src/processing/app/Editor.java:2804
Network\ port,\ can't\ obtain\ info=\u7f51\u7edc\u7aef\u53e3\uff0c\u65e0\u6cd5\u83b7\u53d6\u4fe1\u606f

#: ../../../../../app/src/processing/app/Editor.java:65
Network\ ports=\u7f51\u7edc\u7aef\u53e3

#: ../../../cc/arduino/packages/uploaders/SSHUploader.java:51
Network\ upload\ using\ programmer\ not\ supported=\u4e0d\u652f\u6301\u4f7f\u7528\u70e7\u5f55\u5668\u7684\u7f51\u7edc\u4e0a\u4f20

#: EditorToolbar.java:41 Editor.java:493
New=\u65b0\u5efa

#: EditorHeader.java:292
New\ Tab=\u65b0\u5efa\u6807\u7b7e

#: SerialMonitor.java:112
Newline=\u6362\u884c\u7b26

#: EditorHeader.java:340
Next\ Tab=\u4e0b\u4e00\u4e2a\u6807\u7b7e

#: Preferences.java:78 UpdateCheck.java:108
No=\u5426

#: ../../../processing/app/debug/Compiler.java:158
No\ authorization\ data\ found=\u627e\u4e0d\u5230\u8ba4\u8bc1\u4fe1\u606f

#: tools/format/src/AutoFormat.java:54 tools/AutoFormat.java:916
No\ changes\ necessary\ for\ Auto\ Format.=\u65e0\u9700\u81ea\u52a8\u683c\u5f0f\u5316\u3002

#: ../../../processing/app/BaseNoGui.java:665
No\ command\ line\ parameters\ found=\u627e\u4e0d\u5230\u547d\u4ee4\u884c\u53c2\u6570

#: ../../../processing/app/debug/Compiler.java:200
No\ compiled\ sketch\ found=\u6ca1\u6709\u627e\u5230\u5df2\u7f16\u8bd1\u7684\u9879\u76ee

#: Editor.java:373
No\ files\ were\ added\ to\ the\ sketch.=\u6ca1\u6709\u6587\u4ef6\u88ab\u6dfb\u52a0\u5230\u8fd9\u4e2a\u9879\u76ee\u3002

#: Platform.java:167
No\ launcher\ available=\u65e0\u53ef\u7528\u7684\u542f\u52a8\u7a0b\u5e8f

#: SerialMonitor.java:112
No\ line\ ending=\u6ca1\u6709\u7ed3\u675f\u7b26

#: ../../../processing/app/BaseNoGui.java:665
No\ parameters=\u627e\u4e0d\u5230\u53c2\u6570

#: ../../../../../app/src/cc/arduino/view/preferences/Preferences.java:453
No\ proxy=\u65e0\u4ee3\u7406

#: Base.java:541
No\ really,\ time\ for\ some\ fresh\ air\ for\ you.=\u771f\u6ca1\u6709\uff0c\u4f60\u8be5\u51fa\u53bb\u547c\u5438\u65b0\u9c9c\u7a7a\u6c14\u4e86\u3002

#: Editor.java:1872
#, java-format
No\ reference\ available\ for\ "{0}"=\u5bf9 "{0}" \u65e0\u53ef\u7528\u7684\u53c2\u8003\u6587\u4ef6

#: ../../../processing/app/BaseNoGui.java:504
#: ../../../processing/app/BaseNoGui.java:549
No\ sketch=\u6ca1\u6709\u9879\u76ee

#: ../../../processing/app/BaseNoGui.java:428
No\ sketchbook=\u6ca1\u6709\u9879\u76ee\u6587\u4ef6\u5939

#: ../../../processing/app/Sketch.java:204
No\ valid\ code\ files\ found=\u627e\u4e0d\u5230\u6709\u6548\u4ee3\u7801\u6587\u4ef6

#: ../../../processing/app/debug/TargetPackage.java:63
#, java-format
No\ valid\ hardware\ definitions\ found\ in\ folder\ {0}.=\u5728\u6587\u4ef6\u5939{0}\u4e2d\u6ca1\u6709\u627e\u5230\u6709\u6548\u7684\u786c\u4ef6\u5b9a\u4e49

#: ../../../../../app/src/cc/arduino/view/preferences/Preferences.java:184
None=\u65e0

#: ../../../processing/app/Preferences.java:108
Norwegian\ Bokm\u00e5l=\u632a\u5a01\u8bed

#: ../../../processing/app/Sketch.java:1656
Not\ enough\ memory;\ see\ http\://www.arduino.cc/en/Guide/Troubleshooting\#size\ for\ tips\ on\ reducing\ your\ footprint.=\u6ca1\u6709\u8db3\u591f\u7684\u5185\u5b58\uff1b\u8bbf\u95ee\u4ee5\u4e0b\u7f51\u5740\u6839\u636e\u63d0\u793a\u51cf\u5c0f\u5185\u5b58\u7684\u7528\u91cf\u3002\nhttp\://www.arduino.cc/en/Guide/Troubleshooting\#size

#: Preferences.java:80 Sketch.java:585 Sketch.java:737 Sketch.java:1042
#: Editor.java:2145 Editor.java:2465
OK=\u597d

#: Sketch.java:992 Editor.java:376
One\ file\ added\ to\ the\ sketch.=\u4e00\u4e2a\u6587\u4ef6\u88ab\u6dfb\u52a0\u5230\u8fd9\u4e2a\u9879\u76ee\u3002

#: ../../../processing/app/BaseNoGui.java:455
Only\ --verify,\ --upload\ or\ --get-pref\ are\ supported=\u4ec5\u652f\u6301 --verify\uff0c--upload\u6216--get-pref

#: EditorToolbar.java:41
Open=\u6253\u5f00

#: ../../../../../app/src/processing/app/Editor.java:625
Open\ Recent=\u6253\u5f00\u6700\u8fd1\u7684

#: Editor.java:2688
Open\ URL=\u6253\u5f00\u7f51\u5740

#: Base.java:636
Open\ an\ Arduino\ sketch...=\u6253\u5f00Arduino\u9879\u76ee

#: Base.java:903 Editor.java:501
Open...=\u6253\u5f00...

#: ../../../../../arduino-core/src/processing/app/I18n.java:37
Other=\u5176\u4ed6

#: Editor.java:563
Page\ Setup=\u9875\u9762\u8bbe\u7f6e

#: ../../../../../arduino-core/src/processing/app/I18n.java:25
Partner=\u5408\u4f5c\u4f19\u4f34

#: ../../../processing/app/forms/PasswordAuthorizationDialog.java:44
Password\:=\u5bc6\u7801\uff1a

#: Editor.java:1189 Editor.java:2731
Paste=\u7c98\u8d34

#: Preferences.java:109
Persian=\u6ce2\u65af\u8bed

#: ../../../processing/app/Preferences.java:161
Persian\ (Iran)=\u6ce2\u65af\u8bed(\u4f0a\u6717)

#: ../../../../../arduino-core/src/cc/arduino/Compiler.java:79
#, java-format
Platform\ {0}\ (package\ {1})\ is\ unknown=\u5e73\u53f0 {0} (\u5305 {1}) \u672a\u77e5

#: ../../../../../app/src/cc/arduino/contributions/packages/ui/ContributionManagerUI.java:195
Please\ confirm\ boards\ deletion=\u8bf7\u786e\u8ba4\u5f00\u53d1\u677f\u68c0\u6d4b

#: ../../../../../app/src/cc/arduino/contributions/libraries/ui/LibraryManagerUI.java:257
Please\ confirm\ library\ deletion=\u8bf7\u786e\u8ba4\u5e93\u68c0\u6d4b

#: debug/Compiler.java:408
Please\ import\ the\ SPI\ library\ from\ the\ Sketch\ >\ Import\ Library\ menu.=\u8bf7\u5229\u7528 \u201c\u9879\u76ee>\u5bfc\u5165\u5e93\u201d \u83dc\u5355\u5bfc\u5165 SPI \u5e93\u3002

#: ../../../processing/app/debug/Compiler.java:529
Please\ import\ the\ Wire\ library\ from\ the\ Sketch\ >\ Import\ Library\ menu.=\u8bf7\u70b9\u51fb\u201c\u8349\u7a3f> \u5bfc\u5165\u5e93\u201d\u5bfc\u5165Wire \u5e93\u3002

#: ../../../../../app//src/processing/app/Editor.java:2799
Please\ select\ a\ port\ to\ obtain\ board\ info=\u8bf7\u9009\u62e9\u4e00\u4e2a\u7aef\u53e3\u6765\u83b7\u53d6\u5f00\u53d1\u677f\u4fe1\u606f

#: ../../../cc/arduino/packages/uploaders/SerialUploader.java:217
#: ../../../cc/arduino/packages/uploaders/SerialUploader.java:262
Please\ select\ a\ programmer\ from\ Tools->Programmer\ menu=\u8bf7\u4ece \u5de5\u5177>\u7f16\u7a0b\u5668 \u83dc\u5355\u4e2d\u9009\u62e9\u4e00\u4e2a\u7f16\u7a0b\u5668

#: ../../../../../app/src/processing/app/Editor.java:2613
Plotter\ not\ available\ while\ serial\ monitor\ is\ open=\u6253\u5f00\u4e32\u53e3\u76d1\u89c6\u5668\u65f6\u7ed8\u56fe\u5668\u4e0d\u53ef\u7528

#: Preferences.java:110
Polish=\u6ce2\u5170\u8bed

#: ../../../processing/app/Editor.java:718
Port=\u7aef\u53e3

#: ../../../../../app/src/cc/arduino/view/preferences/Preferences.java:491
Port\ number\:=\u7aef\u53e3\u53f7\uff1a

#: ../../../processing/app/Preferences.java:151
Portugese=\u8461\u8404\u7259\u8bed

#: ../../../processing/app/Preferences.java:127
Portuguese\ (Brazil)=\u8461\u8404\u7259\u8bed(\u5df4\u897f)

#: ../../../processing/app/Preferences.java:128
Portuguese\ (Portugal)=\u8461\u8404\u7259\u8bed(\u8461\u8404\u7259)

#: Preferences.java:295 Editor.java:583
Preferences=\u9996\u9009\u9879

#: ../../../../../app/src/processing/app/Base.java:297
Preparing\ boards...=\u6b63\u5728\u51c6\u5907\u5f00\u53d1\u677f...

#: FindReplace.java:123 FindReplace.java:128
Previous=\u524d\u4e00\u4e2a

#: EditorHeader.java:326
Previous\ Tab=\u4e0a\u4e00\u4e2a\u6807\u7b7e

#: Editor.java:571
Print=\u6253\u5370

#: Editor.java:2571
Printing\ canceled.=\u53d6\u6d88\u8f93\u51fa\u3002

#: Editor.java:2547
Printing...=\u8f93\u51fa...

#: Base.java:1957
Problem\ Opening\ Folder=\u6253\u5f00\u6587\u4ef6\u5939\u65f6\u51fa\u73b0\u95ee\u9898

#: Base.java:1933
Problem\ Opening\ URL=\u6253\u5f00\u7f51\u5740\u65f6\u51fa\u73b0\u95ee\u9898

#: Base.java:227
Problem\ Setting\ the\ Platform=\u8bbe\u5b9a\u5e73\u53f0\u65f6\u53d1\u751f\u95ee\u9898\u3002

#: ../../../cc/arduino/packages/uploaders/SSHUploader.java:136
Problem\ accessing\ board\ folder\ /www/sd=\u8bbf\u95ee\u5f00\u53d1\u677f\u4e0a\u7684\u6587\u4ef6\u5939 /www/sd \u51fa\u9519

#: ../../../../../arduino-core/src/cc/arduino/packages/uploaders/SSHUploader.java:206
#, java-format
Problem\ accessing\ files\ in\ folder\ "{0}"=\u8bfb\u53d6 "{0}" \u6587\u4ef6\u5939\u4e2d\u6587\u4ef6\u65f6\u51fa\u73b0\u95ee\u9898

#: Base.java:1673
Problem\ getting\ data\ folder=\u53d6\u5f97\u8d44\u6599\u6587\u4ef6\u5939\u65f6\u51fa\u73b0\u95ee\u9898

#: debug/Uploader.java:209
Problem\ uploading\ to\ board.\ \ See\ http\://www.arduino.cc/en/Guide/Troubleshooting\#upload\ for\ suggestions.=\u4e0a\u4f20\u51fa\u9519\u3002\u67e5\u770bhttp\://www.arduino.cc/en/Guide/Troubleshooting\#upload \u83b7\u53d6\u5efa\u8bae\u3002

#: Sketch.java:355 Sketch.java:362 Sketch.java:373
Problem\ with\ rename=\u91cd\u547d\u540d\u65f6\u51fa\u73b0\u95ee\u9898

#: ../../../processing/app/I18n.java:86
Processor=\u5904\u7406\u5668

#: Editor.java:704
Programmer=\u7f16\u7a0b\u5668

#: ../../../../../arduino-core/src/cc/arduino/Compiler.java:80
#, java-format
Progress\ {0}=\u8fdb\u5ea6 {0}

#: Base.java:783 Editor.java:593
Quit=\u5173\u95ed

#: ../../../../../app/src/processing/app/Base.java:1233
RETIRED=\u5df2\u5f03\u7528

#: ../../../../../arduino-core/src/processing/app/I18n.java:26
Recommended=\u63a8\u8350\u7684

#: Editor.java:1138 Editor.java:1140 Editor.java:1390
Redo=\u91cd\u505a

#: Editor.java:1078
Reference=\u53c2\u8003

#: ../../../../../app/src/cc/arduino/contributions/packages/ui/ContributedPlatformTableCell.java:85
Remove=\u5220\u9664

#: ../../../../../arduino-core/src/cc/arduino/contributions/libraries/LibraryInstaller.java:142
#, java-format
!Removing\ library\:\ {0}\:{1}=

#: ../../../../../app/src/cc/arduino/contributions/libraries/ui/LibraryManagerUI.java:266
#: ../../../../../app/src/cc/arduino/contributions/packages/ui/ContributionManagerUI.java:203
Removing...=\u6b63\u5728\u5220\u9664

#: EditorHeader.java:300
Rename=\u91cd\u547d\u540d

#: FindReplace.java:121 FindReplace.java:130 Sketch.java:1046
Replace=\u66ff\u6362

#: FindReplace.java:122 FindReplace.java:129
Replace\ &\ Find=\u66ff\u6362 & \u5bfb\u627e

#: FindReplace.java:120 FindReplace.java:131
Replace\ All=\u5168\u90e8\u66ff\u6362

#: Sketch.java:1043
#, java-format
Replace\ the\ existing\ version\ of\ {0}?=\u8986\u76d6\u5df2\u7ecf\u5b58\u5728\u7684\u7248\u672c {0} ?

#: FindReplace.java:81
Replace\ with\:=\u66ff\u6362\u4e3a\uff1a

#: ../../../../../arduino-core/src/processing/app/I18n.java:28
Retired=\u5df2\u5e9f\u5f03

#: ../../../../../app/src/processing/app/Editor.java:1973
!Retry\ the\ upload\ with\ another\ serial\ port?=

#: Preferences.java:113
Romanian=\u7f57\u9a6c\u5c3c\u4e9a\u8bed

#: ../../../../../arduino-core/src/cc/arduino/Compiler.java:83
#, java-format
Running\ recipe\:\ {0}=\u8fd0\u884c\u65b9\u6cd5\uff1a{0}

#: ../../../../../arduino-core/src/cc/arduino/Compiler.java:82
#, java-format
Running\:\ {0}=\u6b63\u5728\u8fd0\u884c\uff1a{0}

#: Preferences.java:114
Russian=\u4fc4\u8bed

#: EditorToolbar.java:41 EditorToolbar.java:46 Editor.java:529 Editor.java:2064
#: Editor.java:2468
Save=\u4fdd\u5b58

#: Editor.java:537
Save\ As...=\u53e6\u5b58\u4e3a...

#: Editor.java:2317
Save\ Canceled.=\u53d6\u6d88\u4fdd\u5b58\u3002

#: Editor.java:2020
#, java-format
Save\ changes\ to\ "{0}"?\ \ =\u4fdd\u5b58\u66f4\u6539\u5230 "{0}"\uff1f

#: Sketch.java:825
Save\ sketch\ folder\ as...=\u9879\u76ee\u6587\u4ef6\u5939\u53e6\u5b58\u4e3a...

#: ../../../../../app/src/processing/app/Preferences.java:425
Save\ when\ verifying\ or\ uploading=\u5f53\u9a8c\u8bc1\u6216\u4e0a\u4f20\u65f6\u4fdd\u5b58

#: Editor.java:2270 Editor.java:2308
Saving...=\u4fdd\u5b58\u4e2d...

#: ../../../processing/app/FindReplace.java:131
Search\ all\ Sketch\ Tabs=\u641c\u7d22\u9879\u76ee\u4e0b\u6240\u6709\u6587\u4ef6

#: Base.java:1909
Select\ (or\ create\ new)\ folder\ for\ sketches...=\u4e3a\u9879\u76ee\u9009\u53d6\uff08\u6216\u65b0\u589e\uff09\u6587\u4ef6\u5939...

#: Editor.java:1198 Editor.java:2739
Select\ All=\u5168\u9009

#: Base.java:2636
Select\ a\ zip\ file\ or\ a\ folder\ containing\ the\ library\ you'd\ like\ to\ add=\u9009\u53d6\u4f60\u60f3\u52a0\u5165\u5e76\u542b\u6709\u5e93\u7684zip\u6587\u4ef6\u6216\u6587\u4ef6\u5939

#: Sketch.java:975
Select\ an\ image\ or\ other\ data\ file\ to\ copy\ to\ your\ sketch=\u9009\u62e9\u56fe\u7247\u6216\u8005\u662f\u5176\u4ed6\u7684\u6587\u4ef6\u590d\u5236\u5230\u4f60\u7684\u9879\u76ee

#: Preferences.java:330
Select\ new\ sketchbook\ location=\u4e3a\u9879\u76ee\u6587\u4ef6\u5939\u9009\u53d6\u65b0\u4f4d\u7f6e

#: ../../../../../app/src/cc/arduino/contributions/libraries/ui/ContributedLibraryTableCell.java:237
#: ../../../../../app/src/cc/arduino/contributions/packages/ui/ContributedPlatformTableCell.java:249
Select\ version=\u9009\u62e9\u7248\u672c

#: ../../../processing/app/debug/Compiler.java:146
Selected\ board\ depends\ on\ '{0}'\ core\ (not\ installed).=\u6240\u9009\u5f00\u53d1\u677f\u4f9d\u8d56\u4e8e '{0}' \u6838\u5fc3 (\u672a\u5b89\u88c5)\u3002

#: ../../../../../app/src/processing/app/Base.java:374
Selected\ board\ is\ not\ available=\u60a8\u9009\u62e9\u7684\u5f00\u53d1\u677f\u4e0d\u53ef\u7528

#: ../../../../../app/src/processing/app/Base.java:423
Selected\ library\ is\ not\ available=\u60a8\u9009\u62e9\u7684\u5e93\u4e0d\u53ef\u7528

#: SerialMonitor.java:93
Send=\u53d1\u9001

#: ../../../../../arduino-core/src/processing/app/I18n.java:32
Sensors=\u4f20\u611f\u5668

#: EditorToolbar.java:41 EditorToolbar.java:46 Editor.java:669
Serial\ Monitor=\u4e32\u53e3\u76d1\u89c6\u5668

#: ../../../../../app/src/processing/app/Editor.java:804
Serial\ Plotter=\u4e32\u53e3\u7ed8\u56fe\u5668

#: ../../../../../app/src/processing/app/Editor.java:2325
#, java-format
!Serial\ monitor\ is\ not\ supported\ on\ network\ ports\ such\ as\ {0}\ for\ the\ {1}\ in\ this\ release=

#: ../../../../../app/src/processing/app/Editor.java:2516
Serial\ monitor\ not\ available\ while\ plotter\ is\ open=\u6253\u5f00\u7ed8\u56fe\u5668\u65f6\u4e32\u53e3\u76d1\u89c6\u5668\u4e0d\u53ef\u7528

#: Serial.java:194
#, java-format
Serial\ port\ ''{0}''\ not\ found.\ Did\ you\ select\ the\ right\ one\ from\ the\ Tools\ >\ Serial\ Port\ menu?=\u6ca1\u6709\u627e\u5230\u4e32\u53e3 ''{0}'' \u3002 \u4f60\u786e\u5b9a\u4f60\u5728 \u5de5\u5177 > \u4e32\u53e3 \u83dc\u5355\u9009\u62e9\u4e86\u6b63\u786e\u7684\u4e32\u53e3\u5417\uff1f

#: ../../../../../app/src/processing/app/Editor.java:1969
#: ../../../../../app/src/processing/app/Editor.java:2040
!Serial\ port\ not\ selected.=

#: ../../../../../app/src/processing/app/Editor.java:1971
#, java-format
!Serial\ port\ {0}\ not\ found.=

#: ../../../../../app/src/processing/app/Editor.java:65
Serial\ ports=\u4e32\u884c\u7aef\u53e3

#: ../../../../../arduino-core/src/cc/arduino/Compiler.java:84
#, java-format
Setting\ build\ path\ to\ {0}=\u5c06\u6784\u5efa\u8def\u5f84\u8bbe\u7f6e\u4e3a {0}

#: ../../../../../app/src/cc/arduino/view/preferences/Preferences.java:450
Settings=\u8bbe\u7f6e

#: Base.java:1681
Settings\ issues=\u8bbe\u7f6e\u8bae\u9898

#: Editor.java:641
Show\ Sketch\ Folder=\u663e\u793a\u9879\u76ee\u6587\u4ef6\u5939

#: ../../../../../app/src/processing/app/AbstractTextMonitor.java:101
!Show\ timestamp=

#: Preferences.java:387
Show\ verbose\ output\ during\:\ =\u663e\u793a\u8be6\u7ec6\u8f93\u51fa\uff1a

#: ../../../../../arduino-core/src/processing/app/I18n.java:31
Signal\ Input/Output=\u4fe1\u53f7\u8f93\u5165/\u8f93\u51fa

#: Editor.java:607
Sketch=\u9879\u76ee

#: Sketch.java:1754
Sketch\ Disappeared=\u9879\u76ee\u4e0d\u5b58\u5728

#: Base.java:1411
Sketch\ Does\ Not\ Exist=\u9879\u76ee\u4e0d\u5b58\u5728

#: Sketch.java:274 Sketch.java:303 Sketch.java:577 Sketch.java:966
Sketch\ is\ Read-Only=\u9879\u76ee\u4e3a\u53ea\u8bfb\u72b6\u6001

#: Sketch.java:294
Sketch\ is\ Untitled=\u672a\u547d\u540d\u9879\u76ee

#: Sketch.java:720
Sketch\ is\ read-only=\u9879\u76ee\u4e3a\u53ea\u8bfb\u72b6\u6001

#: Sketch.java:1653
Sketch\ too\ big;\ see\ http\://www.arduino.cc/en/Guide/Troubleshooting\#size\ for\ tips\ on\ reducing\ it.=\u9879\u76ee\u592a\u5927\u4e86\uff1b\u9605\u8bfb\u4ee5\u4e0b\u9875\u9762\u7684\u63d0\u793a\u51cf\u5c0f\u6587\u4ef6\u5927\u5c0f\u3002\nhttp\://www.arduino.cc/en/Guide/Troubleshooting\#size 

#: ../../../processing/app/Sketch.java:1639
#, java-format
Sketch\ uses\ {0}\ bytes\ ({2}%%)\ of\ program\ storage\ space.\ Maximum\ is\ {1}\ bytes.=\u9879\u76ee\u4f7f\u7528\u4e86 {0} \u5b57\u8282\uff0c\u5360\u7528\u4e86 ({2}%%) \u7a0b\u5e8f\u5b58\u50a8\u7a7a\u95f4\u3002\u6700\u5927\u4e3a {1} \u5b57\u8282\u3002

#: Editor.java:510
Sketchbook=\u9879\u76ee\u6587\u4ef6\u5939

#: Base.java:258
Sketchbook\ folder\ disappeared=\u9879\u76ee\u6587\u4ef6\u5939\u4e0d\u5b58\u5728

#: Preferences.java:315
Sketchbook\ location\:=\u9879\u76ee\u6587\u4ef6\u5939\u4f4d\u7f6e

#: ../../../processing/app/BaseNoGui.java:428
Sketchbook\ path\ not\ defined=\u6ca1\u6709\u5b9a\u4e49\u9879\u76ee\u6587\u4ef6\u5939

#: ../../../../../arduino-core//src/cc/arduino/contributions/packages/ContributionsIndexer.java:96
#, java-format
!Skipping\ contributed\ index\ file\ {0},\ parsing\ error\ occured\:=

#: ../../../../../app/src/processing/app/Preferences.java:185
Slovak=\u65af\u6d1b\u4f10\u514b\u8bed

#: ../../../processing/app/Preferences.java:152
Slovenian=\u65af\u6d1b\u6587\u5c3c\u4e9a\u8bed

#: Sketch.java:275 Sketch.java:304 Sketch.java:578 Sketch.java:967
Some\ files\ are\ marked\ "read-only",\ so\ you'll\nneed\ to\ re-save\ the\ sketch\ in\ another\ location,\nand\ try\ again.=\u67d0\u4e9b\u6587\u4ef6\u8bbe\u7f6e\u4e3a\u201d\u53ea\u8bfb\u201c\uff0c\u56e0\u6b64\u4f60\u5fc5\u987b\n\u53e6\u5b58\u9879\u76ee\u5230\u5225\u7684\u4f4d\u7f6e\uff0c\n\u7136\u540e\u518d\u8bd5\u4e00\u6b21\u3002

#: Sketch.java:721
Some\ files\ are\ marked\ "read-only",\ so\ you'll\nneed\ to\ re-save\ this\ sketch\ to\ another\ location.=\u67d0\u4e9b\u6587\u4ef6\u4e3a\u53ea\u8bfb\u72b6\u6001\uff0c\u56e0\u6b64\u4f60\u9700\u8981\n\u5c06\u9879\u76ee\u4fdd\u5b58\u4e8e\u5176\u4ed6\u4f4d\u7f6e\u3002

#: ../../../../../arduino-core/src/processing/app/Sketch.java:246
#, java-format
Sorry,\ the\ folder\ "{0}"\ already\ exists.=\u5bf9\u4e0d\u8d77\uff0c\u6587\u4ef6\u5939 "{0}" \u5df2\u5b58\u5728\u3002

#: Preferences.java:115
Spanish=\u897f\u73ed\u7259\u8bed

#: ../../../../../app/src/processing/app/Base.java:2333
Specified\ folder/zip\ file\ does\ not\ contain\ a\ valid\ library=\u6307\u5b9a\u7684\u6587\u4ef6\u5939\u6216\u538b\u7f29\u6587\u4ef6\u4e2d\u6ca1\u6709\u6709\u6548\u7684\u5e93

#: ../../../../../app/src/processing/app/Base.java:466
Starting...=\u6b63\u5728\u542f\u52a8

#: Base.java:540
Sunshine=\u9633\u5149

#: ../../../processing/app/Preferences.java:153
Swedish=\u745e\u5178\u8bed

#: Preferences.java:84
System\ Default=\u7cfb\u7edf\u9884\u8bbe

#: ../../../../../app/src/processing/app/Preferences.java:188
Talossan=\u5854\u7f57\u8428\u8bed

#: Preferences.java:116
Tamil=\u6cf0\u7c73\u5c14\u8bed

#: ../../../../../app/src/cc/arduino/i18n/Languages.java:102
Telugu=\u6cf0\u5362\u56fa\u8bed

#: ../../../../../app/src/cc/arduino/i18n/Languages.java:100
Thai=\u6cf0\u8bed

#: debug/Compiler.java:414
The\ 'BYTE'\ keyword\ is\ no\ longer\ supported.=\u4e0d\u518d\u652f\u6301 \u2018BYTE\u2019  \u5173\u952e\u5b57\u3002

#: ../../../processing/app/BaseNoGui.java:484
The\ --upload\ option\ supports\ only\ one\ file\ at\ a\ time=--upload \u9009\u9879\u4ec5\u652f\u6301\u4e00\u6b21\u4e00\u4e2a\u6587\u4ef6

#: debug/Compiler.java:426
The\ Client\ class\ has\ been\ renamed\ EthernetClient.=Client class \u5df2\u6539\u540d\u4e3a EthernetClient.

#: ../../../../../app/src/cc/arduino/contributions/BuiltInCoreIsNewerCheck.java:96
#, java-format
The\ IDE\ includes\ an\ updated\ {0}\ package,\ but\ you're\ using\ an\ older\ one.\nDo\ you\ want\ to\ upgrade\ {0}?=IDE \u5305\u542b\u66f4\u65b0\u7684 {0} \u5305\uff0c\u800c\u4f60\u6240\u4f7f\u7528\u7684\u6bd4\u8f83\u65e7\u3002\n\u4f60\u613f\u610f\u5347\u7ea7 {0} \u5417\uff1f

#: debug/Compiler.java:420
The\ Server\ class\ has\ been\ renamed\ EthernetServer.=Server class \u5df2\u6539\u540d\u4e3a EthernetServer.

#: debug/Compiler.java:432
The\ Udp\ class\ has\ been\ renamed\ EthernetUdp.=Udp class \u5df2\u6539\u540d\u4e3a EthernetUdp.

#: ../../../../../arduino-core/src/processing/app/BaseNoGui.java:177
The\ current\ selected\ board\ needs\ the\ core\ '{0}'\ that\ is\ not\ installed.=\u60a8\u6240\u9009\u62e9\u7684\u5f00\u53d1\u677f\u9700\u8981\u7528 '{0}' \u6838\u5fc3\uff0c\u53ef\u662f\u8fd8\u6ca1\u6709\u5b89\u88c5\u3002

#: Editor.java:2147
#, java-format
The\ file\ "{0}"\ needs\ to\ be\ inside\na\ sketch\ folder\ named\ "{1}".\nCreate\ this\ folder,\ move\ the\ file,\ and\ continue?=\u6587\u4ef6 \u201c{0}"\u5fc5\u987b\u7f6e\u4e8e\u9879\u76ee\u6587\u4ef6\u5939\u5185\n\u4e14\u6587\u4ef6\u540d\u987b\u4e3a "{1}"\n\u662f\u5426\u7ee7\u7eed\u521b\u5efa\u8be5\u6587\u4ef6\u5939\uff0c\u5e76\u79fb\u52a8\u6587\u4ef6\uff1f

#: ../../../../../arduino-core/src/cc/arduino/contributions/libraries/LibrariesIndexer.java:180
#, java-format
!The\ library\ "{0}"\ cannot\ be\ used.\nLibrary\ folder\ names\ must\ start\ with\ a\ letter\ or\ number,\ followed\ by\ letters,\nnumbers,\ dashes,\ dots\ and\ underscores.\ Maximum\ length\ is\ 63\ characters.=

#: Base.java:1054 Base.java:2674
#, java-format
The\ library\ "{0}"\ cannot\ be\ used.\nLibrary\ names\ must\ contain\ only\ basic\ letters\ and\ numbers.\n(ASCII\ only\ and\ no\ spaces,\ and\ it\ cannot\ start\ with\ a\ number)=\u65e0\u6cd5\u4f7f\u7528\u5e93"{0}"\u3002\n\u5e93\u7684\u540d\u79f0\u53ea\u80fd\u542b\u6709\u57fa\u672c\u5b57\u6bcd\u4e0e\u6570\u5b57\u3002\n\uff08\u53ea\u80fd\u662fASCII\uff0c\u4e0d\u80fd\u6709\u7a7a\u767d\u5b57\u7b26\uff0c\u4e5f\u4e0d\u80fd\u4ee5\u6578\u5b57\u958b\u982d\uff09

#: ../../../../../app/src/processing/app/SketchController.java:170
!The\ main\ file\ cannot\ use\ an\ extension=

#: Sketch.java:356
The\ name\ cannot\ start\ with\ a\ period.=\u540d\u79f0\u4e0d\u80fd\u4ee5\u201d.\u201d\u5f00\u5934

#: Base.java:1412
The\ selected\ sketch\ no\ longer\ exists.\nYou\ may\ need\ to\ restart\ Arduino\ to\ update\nthe\ sketchbook\ menu.=\u9009\u53d6\u7684\u9879\u76ee\u5df2\u4e0d\u5b58\u5728\u3002\n\u4f60\u6216\u8bb8\u9700\u8981\u91cd\u65b0\u542f\u52a8Arduino\n\u4ee5\u4fbf\u66f4\u65b0\u9879\u76ee\u6587\u4ef6\u5939\u83dc\u5355\u3002

#: Base.java:1430
#, java-format
The\ sketch\ "{0}"\ cannot\ be\ used.\nSketch\ names\ must\ contain\ only\ basic\ letters\ and\ numbers\n(ASCII-only\ with\ no\ spaces,\ and\ it\ cannot\ start\ with\ a\ number).\nTo\ get\ rid\ of\ this\ message,\ remove\ the\ sketch\ from\n{1}=\u65e0\u6cd5\u4f7f\u7528\u9879\u76ee"{0}"\u3002\n\u9879\u76ee\u7684\u540d\u79f0\u53ea\u80fd\u542b\u6709\u57fa\u672c\u5b57\u6bcd\u4e0e\u6570\u5b57\n(\u53ea\u80fd\u662fASCII\uff0c\u4e0d\u80fd\u542b\u6709\u7a7a\u767d\u5b57\u7b26\uff0c\u4e5f\u4e0d\u80fd\u4ee5\u6570\u5b57\u5f00\u5934)\u3002\n\u82e5\u4e0d\u60f3\u770b\u5230\u6b64\u4fe1\u606f\uff0c\u8bf7\u4ece{1}\u79fb\u9664\u8be5\u9879\u76ee\u3002

#: ../../../../../arduino-core/src/processing/app/Sketch.java:272
#, java-format
The\ sketch\ already\ contains\ a\ file\ named\ "{0}"=\u9879\u76ee\u5df2\u7ecf\u5305\u542b "{0}" \u6587\u4ef6

#: Sketch.java:1755
The\ sketch\ folder\ has\ disappeared.\n\ Will\ attempt\ to\ re-save\ in\ the\ same\ location,\nbut\ anything\ besides\ the\ code\ will\ be\ lost.=\u9879\u76ee\u6587\u4ef6\u5939\u6d88\u5931\u4e86\uff0c\n\u662f\u5426\u5c1d\u8bd5\u91cd\u65b0\u4fdd\u5b58\u5728\u76f8\u540c\u4f4d\u7f6e\uff0c\n\u9664\u4ee3\u7801\u5916\u6240\u6709\u7684\u4e1c\u897f\u90fd\u4f1a\u4e22\u5931\u3002

#: ../../../../../app/src/processing/app/SketchController.java:849
!The\ sketch\ name\ had\ to\ be\ modified.\nSketch\ names\ must\ start\ with\ a\ letter\ or\ number,\ followed\ by\ letters,\nnumbers,\ dashes,\ dots\ and\ underscores.\ Maximum\ length\ is\ 63\ characters.=

#: Base.java:259
The\ sketchbook\ folder\ no\ longer\ exists.\nArduino\ will\ switch\ to\ the\ default\ sketchbook\nlocation,\ and\ create\ a\ new\ sketchbook\ folder\ if\nnecessary.\ Arduino\ will\ then\ stop\ talking\ about\nhimself\ in\ the\ third\ person.=\u9879\u76ee\u6587\u4ef6\u5939\u4e0d\u5b58\u5728\uff0c\nArduino\u5c06\u4f7f\u7528\u9884\u8bbe\u7684\u6587\u4ef6\u5939\u4f4d\u7f6e\uff0c\n\u5e76\u89c6\u9700\u8981\u65b0\u589e\u6587\u4ef6\u5939\u3002\n\u7136\u540eArduino\u5c06\u505c\u6b62\u4ee5\u7b2c\u4e09\u4eba\u79f0\u63d0\u53ca\u81ea\u5df1\u3002

#: ../../../../../app/src/cc/arduino/view/preferences/Preferences.java:514
The\ specified\ sketchbook\ folder\ contains\ your\ copy\ of\ the\ IDE.\nPlease\ choose\ a\ different\ folder\ for\ your\ sketchbook.=\u6307\u5b9a\u7684\u9879\u76ee\u6587\u4ef6\u5939\u5305\u542b\u4f60\u7684 IDE \u3002\n\u8bf7\u4e3a\u9879\u76ee\u9009\u62e9\u53e6\u5916\u7684\u6587\u4ef6\u5939\u3002

#: ../../../../../app/src/cc/arduino/view/preferences/Preferences.java:311
!Theme\:\ =

#: ../../../../../app/src/cc/arduino/contributions/libraries/ui/LibraryManagerUI.java:257
This\ library\ is\ not\ listed\ on\ Library\ Manager.\ You\ won't\ be\ able\ to\ reinstall\ it\ from\ here.\nAre\ you\ sure\ you\ want\ to\ delete\ it?=\u8fd9\u4e2a\u5e93\u4e0d\u5305\u542b\u5728\u5e93\u7ba1\u7406\u5668\u4e2d\u3002\u4f60\u4ee5\u540e\u65e0\u6cd5\u518d\u4ece\u8fd9\u91cc\u91cd\u65b0\u5b89\u88c5\u8fd9\u4e2a\u5e93\u3002\n\u4f60\u786e\u5b9a\u8981\u5220\u9664\u5417\uff1f

#: ../../../../../app/src/processing/app/EditorStatus.java:349
This\ report\ would\ have\ more\ information\ with\n"Show\ verbose\ output\ during\ compilation"\noption\ enabled\ in\ File\ ->\ Preferences.\n=\u5728\u6587\u4ef6 -> \u9996\u9009\u9879\u5f00\u542f\n\u201c\u7f16\u8bd1\u8fc7\u7a0b\u4e2d\u663e\u793a\u8be6\u7ec6\u8f93\u51fa\u201d\u9009\u9879\n\u8fd9\u4efd\u62a5\u544a\u4f1a\u5305\u542b\u66f4\u591a\u4fe1\u606f\u3002\n

#: Base.java:535
Time\ for\ a\ Break=\u4f11\u606f\u65f6\u95f4

#: ../../../../../arduino-core/src/processing/app/I18n.java:34
Timing=\u8ba1\u65f6

#: ../../../cc/arduino/contributions/packages/ContributionInstaller.java:94
#, java-format
Tool\ {0}\ is\ not\ available\ for\ your\ operating\ system.=\u4f60\u7684\u64cd\u4f5c\u7cfb\u7edf\u6ca1\u6709 {0} \u5de5\u5177\u3002

#: Editor.java:663
Tools=\u5de5\u5177

#: ../../../../../app/src/cc/arduino/contributions/libraries/ui/LibraryManagerUI.java:97
Topic=\u4e3b\u9898

#: Editor.java:1070
Troubleshooting=\u6545\u969c\u6392\u9664

#: ../../../processing/app/Preferences.java:117
Turkish=\u571f\u8033\u5176

#: ../../../../../app/src/cc/arduino/contributions/ui/InstallerJDialog.java:109
#: ../../../../../app/src/cc/arduino/contributions/libraries/ui/LibraryManagerUI.java:105
Type=\u7c7b\u578b

#: ../../../processing/app/Editor.java:2507
Type\ board\ password\ to\ access\ its\ console=\u8f93\u5165\u5f00\u53d1\u677f\u5bc6\u7801\u4ee5\u8bbf\u95ee\u7ec8\u7aef

#: ../../../processing/app/Sketch.java:1673
Type\ board\ password\ to\ upload\ a\ new\ sketch=\u8f93\u5165\u5f00\u53d1\u677f\u7684\u5bc6\u7801\u4ee5\u4e0a\u4f20\u4e00\u4e2a\u65b0\u7684\u9879\u76ee

#: ../../../processing/app/Preferences.java:118
Ukrainian=\u4e4c\u514b\u5170\u8bed

#: ../../../../../arduino-core/src/cc/arduino/packages/uploaders/SSHUploader.java:142
#, java-format
Unable\ to\ connect\ to\ {0}=\u65e0\u6cd5\u8fde\u63a5\u5230 {0}

#: ../../../processing/app/Editor.java:2524
#: ../../../processing/app/NetworkMonitor.java:145
Unable\ to\ connect\:\ is\ the\ sketch\ using\ the\ bridge?=\u65e0\u6cd5\u8fde\u63a5\uff1a\u56e0\u4e3a\u9879\u76ee\u4f7f\u7528\u4e86\u6865\u63a5\uff1f

#: ../../../processing/app/NetworkMonitor.java:130
Unable\ to\ connect\:\ retrying=\u65e0\u6cd5\u8fde\u63a5\uff1a\u6b63\u5728\u91cd\u8bd5

#: ../../../processing/app/Editor.java:2526
Unable\ to\ connect\:\ wrong\ password?=\u65e0\u6cd5\u8fde\u63a5\uff1a\u5bc6\u7801\u9519\u8bef\uff1f

#: ../../../../../arduino-core/src/cc/arduino/Compiler.java:65
#, java-format
Unable\ to\ find\ {0}\ in\ {1}=\u5728 {1} \u4e2d\u65e0\u6cd5\u627e\u5230 {0} 

#: ../../../processing/app/Editor.java:2512
Unable\ to\ open\ serial\ monitor=\u65e0\u6cd5\u6253\u5f00\u4e32\u53e3\u76d1\u89c6\u5668

#: ../../../../../app/src/processing/app/Editor.java:2709
Unable\ to\ open\ serial\ plotter=\u65e0\u6cd5\u6253\u5f00\u4e32\u53e3\u7ed8\u56fe\u5668

#: ../../../../../app/src/cc/arduino/contributions/libraries/ui/LibraryManagerUI.java:94
#: ../../../../../app/src/cc/arduino/contributions/packages/ui/ContributionManagerUI.java:89
Unable\ to\ reach\ Arduino.cc\ due\ to\ possible\ network\ issues.=\u7531\u4e8e\u7f51\u7edc\u539f\u56e0\uff0c\u65e0\u6cd5\u8fde\u63a5 Arduino.cc \u3002

#: ../../../../../arduino-core/src/processing/app/I18n.java:38
Uncategorized=\u672a\u5206\u7c7b

#: Editor.java:1133 Editor.java:1355
Undo=\u590d\u539f

#: ../../../../../arduino-core/src/cc/arduino/Compiler.java:85
#, java-format
Unhandled\ type\ {0}\ in\ context\ key\ {1}=\u4e0a\u4e0b\u6587\u5173\u952e\u8bcd {1} \u4e2d\u672a\u5904\u7406\u7c7b\u578b {0} 

#: ../../../../../app//src/processing/app/Editor.java:2818
Unknown\ board=\u672a\u77e5\u7684\u5f00\u53d1\u677f

#: ../../../../../arduino-core/src/cc/arduino/Compiler.java:86
#, java-format
Unknown\ sketch\ file\ extension\:\ {0}=\u672a\u77e5\u9879\u76ee\u6587\u4ef6\u6269\u5c55\u540d\uff1a{0}

#: Platform.java:168
Unspecified\ platform,\ no\ launcher\ available.\nTo\ enable\ opening\ URLs\ or\ folders,\ add\ a\ \n"launcher\=/path/to/app"\ line\ to\ preferences.txt=\u672a\u6307\u5b9a\u7684\u5e73\u53f0\uff0c\u65e0\u53ef\u7528\u542f\u52a8\u5668\u3002\n\u8981\u542f\u7528\u6253\u5f00\u7f51\u5740\u6216\u6587\u4ef6\u5939\u529f\u80fd\uff0c\u8bf7\u6dfb\u52a0\n"launcher\=/path/to/app"\u5230preferences.txt\u6587\u4ef6\u4e2d

#: ../../../../../app/src/cc/arduino/contributions/libraries/ui/DropdownUpdatableLibrariesItem.java:27
#: ../../../../../app/src/cc/arduino/contributions/packages/ui/DropdownUpdatableCoresItem.java:27
Updatable=\u53ef\u66f4\u65b0

#: UpdateCheck.java:111
Update=\u66f4\u65b0

#: Preferences.java:428
Update\ sketch\ files\ to\ new\ extension\ on\ save\ (.pde\ ->\ .ino)=\u4fdd\u5b58\u65f6\u66f4\u65b0\u9879\u76ee\u6587\u4ef6\u7684\u6269\u5c55\u540d\uff08.pde -> .ino\uff09

#: ../../../../../app/src/cc/arduino/contributions/ContributionsSelfCheck.java:88
#, java-format
Updates\ available\ for\ some\ of\ your\ {0}boards{1}={0}\u5f00\u53d1\u677f{1}\u4e2d\u90e8\u5206\u6709\u53ef\u7528\u66f4\u65b0

#: ../../../../../app/src/cc/arduino/contributions/ContributionsSelfCheck.java:90
#, java-format
Updates\ available\ for\ some\ of\ your\ {0}boards{1}\ and\ {2}libraries{3}={0}\u5f00\u53d1\u677f{1} \u548c {2}\u5e93{3}\u4e2d\u90e8\u5206\u6709\u53ef\u7528\u66f4\u65b0

#: ../../../../../app/src/cc/arduino/contributions/ContributionsSelfCheck.java:86
#, java-format
Updates\ available\ for\ some\ of\ your\ {0}libraries{1}={0}\u5e93{1}\u4e2d\u90e8\u5206\u6709\u53ef\u7528\u66f4\u65b0

#: ../../../cc/arduino/contributions/libraries/LibraryInstaller.java:167
Updating\ list\ of\ installed\ libraries=\u6b63\u5728\u66f4\u65b0\u5df2\u5b89\u88c5\u5e93\u5217\u8868

#: EditorToolbar.java:41 Editor.java:545
Upload=\u4e0a\u4f20

#: EditorToolbar.java:46 Editor.java:553
Upload\ Using\ Programmer=\u4f7f\u7528\u7f16\u7a0b\u5668\u4e0a\u4f20

#: ../../../../../app//src/processing/app/Editor.java:2814
!Upload\ any\ sketch\ to\ obtain\ it=

#: Editor.java:2403 Editor.java:2439
Upload\ canceled.=\u5df2\u53d6\u6d88\u4e0a\u4f20\u3002

#: ../../../processing/app/Sketch.java:1678
Upload\ cancelled=\u5df2\u53d6\u6d88\u4e0a\u4f20

#: Editor.java:2378
Uploading\ to\ I/O\ Board...=\u4e0a\u4f20\u5230 I/O \u5f00\u53d1\u677f...

#: Sketch.java:1622
Uploading...=\u4e0a\u4f20...

#: Editor.java:1269
Use\ Selection\ For\ Find=\u67e5\u627e\u9009\u4e2d\u5355\u5143

#: Preferences.java:409
Use\ external\ editor=\u4f7f\u7528\u5916\u90e8\u7f16\u8f91\u5668

#: ../../../../../app/src/cc/arduino/view/preferences/Preferences.java:493
#: ../../../../../app/src/cc/arduino/view/preferences/Preferences.java:499
Username\:=\u7528\u6237\u540d\uff1a

#: ../../../processing/app/debug/Compiler.java:410
#, java-format
Using\ library\ {0}\ at\ version\ {1}\ in\ folder\:\ {2}\ {3}=\u4f7f\u7528 {1}  \u7248\u672c\u7684\u5e93 {0} \u5728\u6587\u4ef6\u5939\uff1a {2} {3}

#: ../../../processing/app/debug/Compiler.java:94
#, java-format
Using\ library\ {0}\ in\ folder\:\ {1}\ {2}=\u4f7f\u7528\u5e93 {0} \u5728\u6587\u4ef6\u5939\uff1a {1} {2}

#: ../../../processing/app/debug/Compiler.java:320
#, java-format
Using\ previously\ compiled\ file\:\ {0}=\u4f7f\u7528\u5df2\u7ecf\u7f16\u8bd1\u7684\u6587\u4ef6\uff1a{0}

#: EditorToolbar.java:41 EditorToolbar.java:46
Verify=\u9a8c\u8bc1

#: Preferences.java:400
Verify\ code\ after\ upload=\u4e0a\u4f20\u540e\u9a8c\u8bc1\u4ee3\u7801

#: ../../../../../app/src/processing/app/Editor.java:725
Verify/Compile=\u9a8c\u8bc1/\u7f16\u8bd1

#: ../../../../../app/src/processing/app/Base.java:451
Verifying\ and\ uploading...=\u6b63\u5728\u9a8c\u8bc1\u3001\u4e0a\u4f20...

#: ../../../cc/arduino/contributions/DownloadableContributionsDownloader.java:71
Verifying\ archive\ integrity...=\u6b63\u5728\u9a8c\u8bc1\u5b58\u6863\u7684\u5b8c\u6574\u6027...

#: ../../../../../app/src/processing/app/Base.java:454
Verifying...=\u6b63\u5728\u9a8c\u8bc1...

#: ../../../../../app/src/cc/arduino/contributions/libraries/ui/ContributedLibraryTableCell.java:328
#, java-format
Version\ <b>{0}</b>=\u7248\u672c <b>{0}</b>

#: ../../../../../app/src/cc/arduino/contributions/libraries/ui/ContributedLibraryTableCell.java:326
Version\ unknown=\u672a\u77e5\u7248\u672c

#: ../../../cc/arduino/contributions/libraries/ContributedLibrary.java:97
#, java-format
Version\ {0}=\u7248\u672c {0}

#: ../../../processing/app/Preferences.java:154
Vietnamese=\u8d8a\u5357\u8bed

#: Editor.java:1105
Visit\ Arduino.cc=\u8bbf\u95eeArduino.cc

#: ../../../../../arduino-core/src/cc/arduino/Compiler.java:90
#, java-format
WARNING\:\ Category\ '{0}'\ in\ library\ {1}\ is\ not\ valid.\ Setting\ to\ '{2}'=\u8b66\u544a\uff1a\u5e93 {1} \u4e2d\u7684\u5206\u7c7b '{0}' \u4e0d\u53ef\u7528\u3002\u8bbe\u7f6e\u4e3a '{2}'

#: ../../../../../arduino-core/src/cc/arduino/Compiler.java:93
#, java-format
WARNING\:\ Spurious\ {0}\ folder\ in\ '{1}'\ library=\u8b66\u544a\uff1a\u5e93 '{1}' \u4e2d\u5305\u542b\u591a\u4f59\u6587\u4ef6\u5939 {0}

#: ../../../processing/app/debug/Compiler.java:115
#, java-format
WARNING\:\ library\ {0}\ claims\ to\ run\ on\ {1}\ architecture(s)\ and\ may\ be\ incompatible\ with\ your\ current\ board\ which\ runs\ on\ {2}\ architecture(s).=\u8b66\u544a\uff1a {0} \u5e93\u8981\u6c42\u8fd0\u884c\u5728 {1} \u67b6\u6784()\uff0c\u53ef\u80fd\u4e0e\u4f60\u73b0\u5728\u8fd0\u884c\u5728 {2} \u67b6\u6784\u4e0a\u7684\u5f00\u53d1\u677f()\u4e0d\u517c\u5bb9\u3002

#: Base.java:2128
Warning=\u8b66\u544a

#: ../../../processing/app/debug/Compiler.java:1295
Warning\:\ This\ core\ does\ not\ support\ exporting\ sketches.\ Please\ consider\ upgrading\ it\ or\ contacting\ its\ author=\u8b66\u544a\uff1a\u6b64\u6838\u5fc3\u4e0d\u652f\u6301\u5bfc\u51fa\u9879\u76ee\u3002\u8bf7\u5347\u7ea7\u6216\u8005\u8054\u7cfb\u4f5c\u8005

#: ../../../cc/arduino/utils/ArchiveExtractor.java:197
#, java-format
Warning\:\ file\ {0}\ links\ to\ an\ absolute\ path\ {1}=\u8b66\u544a\uff1a\u6587\u4ef6 {0} \u94fe\u63a5\u81f3\u7edd\u5bf9\u8def\u5f84 {1}

#: ../../../cc/arduino/contributions/packages/ContributionsIndexer.java:133
Warning\:\ forced\ trusting\ untrusted\ contributions=\u8b66\u544a\uff1a\u5f3a\u5236\u4fe1\u4efb\u4e0d\u53ef\u4fe1\u7684\u8d21\u732e

#: ../../../cc/arduino/contributions/packages/ContributionInstaller.java:217
#, java-format
Warning\:\ forced\ untrusted\ script\ execution\ ({0})=\u8b66\u544a\uff1a\u5f3a\u5236\u4e0d\u53ef\u4fe1\u811a\u672c\u6267\u884c ({0})

#: ../../../cc/arduino/contributions/packages/ContributionInstaller.java:212
#, java-format
Warning\:\ non\ trusted\ contribution,\ skipping\ script\ execution\ ({0})=\u8b66\u544a\uff1a\u4e0d\u53ef\u4fe1\u8d21\u732e\uff0c\u8df3\u8fc7\u811a\u672c\u6267\u884c ({0})

#: ../../../processing/app/debug/LegacyTargetPlatform.java:158
#, java-format
Warning\:\ platform.txt\ from\ core\ '{0}'\ contains\ deprecated\ {1},\ automatically\ converted\ to\ {2}.\ Consider\ upgrading\ this\ core.=\u8b66\u544a\uff1a\u6838\u5fc3 '{0}' \u4e2d\u7684 platform.txt \u6587\u4ef6 \u5305\u542b\u5df2\u5e9f\u5f03\u7684 {1}\uff0c\u5df2\u81ea\u52a8\u8f6c\u6362\u4e3a {2}\u3002\u8bf7\u8003\u8651\u66f4\u65b0\u6838\u5fc3\u3002

#: ../../../../../arduino-core/src/cc/arduino/Compiler.java:91
Warning\:\ platform.txt\ from\ core\ '{0}'\ misses\ property\ '{1}',\ using\ default\ value\ '{2}'.\ Consider\ upgrading\ this\ core.=\u8b66\u544a\uff1a\u6838\u5fc3 '{0}' \u4e2d\u7684 platform.txt \u6587\u4ef6 \u7f3a\u5c11\u5c5e\u6027 '{1}'\uff0c\u4f7f\u7528\u9ed8\u8ba4\u503c '{2}'\u3002\u8bf7\u8003\u8651\u66f4\u65b0\u6838\u5fc3\u3002

#: ../../../../../app/src/processing/app/Preferences.java:190
Western\ Frisian=\u897f\u5f17\u91cc\u65af\u8bed

#: debug/Compiler.java:444
Wire.receive()\ has\ been\ renamed\ Wire.read().=Wire.receive() \u5df2\u6539\u540d\u4e3a Wire.read().

#: debug/Compiler.java:438
Wire.send()\ has\ been\ renamed\ Wire.write().=Wire.send() \u5df2\u6539\u540d\u4e3a Wire.write().

#: FindReplace.java:105
Wrap\ Around=\u73af\u7ed5

#: debug/Uploader.java:213
Wrong\ microcontroller\ found.\ \ Did\ you\ select\ the\ right\ board\ from\ the\ Tools\ >\ Board\ menu?=\u627e\u5230\u9519\u8bef\u7684\u5fae\u63a7\u5236\u5668\u3002\u8bf7\u68c0\u67e5 \u5de5\u5177->\u5f00\u53d1\u677f \u83dc\u5355\u662f\u5426\u9009\u62e9\u4e86\u6b63\u786e\u7684\u5f00\u53d1\u677f\uff1f

#: Preferences.java:77 UpdateCheck.java:108
Yes=\u662f

#: ../../../../../app/src/processing/app/Base.java:2312
You\ can't\ import\ a\ folder\ that\ contains\ your\ sketchbook=\u4e0d\u53ef\u4ee5\u5bfc\u5165\u5305\u542b\u9879\u76ee\u6587\u4ef6\u5939\u7684\u6587\u4ef6\u5939

#: Sketch.java:883
You\ cannot\ save\ the\ sketch\ into\ a\ folder\ninside\ itself.\ This\ would\ go\ on\ forever.=\u4e0d\u53ef\u4ee5\u5c06\u9879\u76ee\u4fdd\u5b58\u5230\u81ea\u8eab\u6240\u5728\u7684\u6587\u4ef6\u5939\u3002\n\u5426\u5219\u4f1a\u8fdb\u5165\u6b7b\u5faa\u73af\u3002

#: Base.java:1888
You\ forgot\ your\ sketchbook=\u4f60\u5fd8\u8bb0\u4e86\u9879\u76ee\u6587\u4ef6\u5939

#: ../../../../../app/src/cc/arduino/view/preferences/Preferences.java:252
You\ have\ unsaved\ changes\!\nYou\ must\ save\ all\ your\ sketches\ to\ enable\ this\ option.=\u4f60\u6709\u4fee\u6539\u8fd8\u672a\u4fdd\u5b58\uff01\n\u5f00\u542f\u8fd9\u4e2a\u9009\u9879\u524d\u5fc5\u987b\u4fdd\u5b58\u6240\u6709\u9879\u76ee\u3002

#: ../../../processing/app/AbstractMonitor.java:92
You've\ pressed\ {0}\ but\ nothing\ was\ sent.\ Should\ you\ select\ a\ line\ ending?=\u4f60\u6309\u4e86 {0} \u4f46\u662f\u6ca1\u6709\u53d1\u9001\u4efb\u4f55\u4fe1\u606f\u3002\u4f60\u8981\u9009\u62e9\u884c\u5c3e\u5417\uff1f

#: Base.java:536
You've\ reached\ the\ limit\ for\ auto\ naming\ of\ new\ sketches\nfor\ the\ day.\ How\ about\ going\ for\ a\ walk\ instead?=\u4f60\u5df2\u7ecf\u8fbe\u5230\u4e00\u5929\u5185\u53ef\u81ea\u52a8\u547d\u540d\u65b0\u9879\u76ee\u7684\u9650\u5236\u4e86\uff0c\n\u4e3a\u4f55\u4e0d\u51fa\u53bb\u6563\u6563\u6b65\u5462\uff1f

#: ../../../processing/app/BaseNoGui.java:768
Your\ copy\ of\ the\ IDE\ is\ installed\ in\ a\ subfolder\ of\ your\ settings\ folder.\nPlease\ move\ the\ IDE\ to\ another\ folder.=\u4f60\u7684 IDE \u5b89\u88c5\u5728\u8bbe\u7f6e\u6587\u4ef6\u5939\u7684\u5b50\u6587\u4ef6\u5939\u5185\u3002\n\u8bf7\u5c06 IDE \u79fb\u52a8\u5230\u5176\u4ed6\u6587\u4ef6\u5939\u3002

#: ../../../processing/app/BaseNoGui.java:771
Your\ copy\ of\ the\ IDE\ is\ installed\ in\ a\ subfolder\ of\ your\ sketchbook.\nPlease\ move\ the\ IDE\ to\ another\ folder.=\u4f60\u7684 IDE \u5b89\u88c5\u5728\u9879\u76ee\u6587\u4ef6\u5939\u7684\u5b50\u6587\u4ef6\u5939\u5185\u3002\n\u8bf7\u5c06 IDE \u79fb\u52a8\u5230\u5176\u4ed6\u6587\u4ef6\u5939\u3002

#: Base.java:2638
ZIP\ files\ or\ folders=ZIP\u6587\u4ef6\u6216\u6587\u4ef6\u5939

#: Base.java:2661
Zip\ doesn't\ contain\ a\ library=Zip\u6587\u4ef6\u5e76\u4e0d\u5305\u542b\u5e93

#: Sketch.java:364
#, java-format
".{0}"\ is\ not\ a\ valid\ extension.=\u201c.{0}\u201d\u4e0d\u662f\u6709\u6548\u6269\u5c55\u540d

#: ../../../../../arduino-core/src/processing/app/SketchCode.java:201
#, java-format
"{0}"\ contains\ unrecognized\ characters.\ If\ this\ code\ was\ created\ with\ an\ older\ version\ of\ Arduino,\ you\ may\ need\ to\ use\ Tools\ ->\ Fix\ Encoding\ &\ Reload\ to\ update\ the\ sketch\ to\ use\ UTF-8\ encoding.\ If\ not,\ you\ may\ need\ to\ delete\ the\ bad\ characters\ to\ get\ rid\ of\ this\ warning.="{0}" \u5305\u542b\u65e0\u6cd5\u8bc6\u522b\u5b57\u7b26\u3002\u5982\u679c\u4ee3\u7801\u662f\u7531\u65e7\u7248\u672c Arduino \u5efa\u7acb\uff0c\u4f7f\u7528 \u5de5\u5177 -> \u4fee\u6b63\u7f16\u7801\u5e76\u91cd\u65b0\u52a0\u8f7d \u9009\u9879\u5c06\u9879\u76ee\u66f4\u65b0\u4e3a\u4f7f\u7528UTF-8\u7f16\u7801\u3002\u5982\u679c\u4e0d\u5904\u7406\u7684\u8bdd\uff0c\u4f60\u53ea\u80fd\u5220\u9664\u90a3\u4e9b\u5b57\u7b26\u624d\u80fd\u53bb\u6389\u8fd9\u4e2a\u63d0\u793a\u3002

#: debug/Compiler.java:409
\nAs\ of\ Arduino\ 0019,\ the\ Ethernet\ library\ depends\ on\ the\ SPI\ library.\nYou\ appear\ to\ be\ using\ it\ or\ another\ library\ that\ depends\ on\ the\ SPI\ library.\n\n=\n\u5728Arduino 0019\u4e2d\uff0cEthernet\u5e93\u4f9d\u8d56\u4e8eSPI\u5e93\n\u60a8\u53ef\u80fd\u6b63\u5728\u4f7f\u7528Ethernet\u5e93\u6216\u5176\u4ed6\u4f9d\u8d56\u4e8eSPI\u5e93\u7684\u5e93\n

#: debug/Compiler.java:415
\nAs\ of\ Arduino\ 1.0,\ the\ 'BYTE'\ keyword\ is\ no\ longer\ supported.\nPlease\ use\ Serial.write()\ instead.\n\n=\n\u4eceArduino1.0\u5f00\u59cb\uff0c\u4e0d\u518d\u652f\u6301\u5173\u952e\u5b57\u2019BYTE'\n\u8bf7\u7528Serial.write()\u8fdb\u884c\u66ff\u4ee3\n

#: debug/Compiler.java:427
\nAs\ of\ Arduino\ 1.0,\ the\ Client\ class\ in\ the\ Ethernet\ library\ has\ been\ renamed\ to\ EthernetClient.\n\n=\n\u4eceArduino1.0\u5f00\u59cb\uff0cEthernet\u5e93\u4e2d\u7684\u7c7bClient\u66f4\u540d\u4e3aEthernetClient\n\n

#: debug/Compiler.java:421
\nAs\ of\ Arduino\ 1.0,\ the\ Server\ class\ in\ the\ Ethernet\ library\ has\ been\ renamed\ to\ EthernetServer.\n\n=\n\u4eceArduino1.0\u5f00\u59cb\uff0cEthernet\u5e93\u4e2d\u7684\u7c7bServer\u66f4\u540d\u4e3aEthernetServer\n\n

#: debug/Compiler.java:433
\nAs\ of\ Arduino\ 1.0,\ the\ Udp\ class\ in\ the\ Ethernet\ library\ has\ been\ renamed\ to\ EthernetUdp.\n\n=\n\u4eceArduino1.0\u5f00\u59cb\uff0cEthernet\u5e93\u4e2d\u7684\u7c7bUdp\u66f4\u540d\u4e3aEthernetUdp\n\n

#: debug/Compiler.java:445
\nAs\ of\ Arduino\ 1.0,\ the\ Wire.receive()\ function\ was\ renamed\ to\ Wire.read()\ for\ consistency\ with\ other\ libraries.\n\n=\n\u4eceArduino1.0\u5f00\u59cb\uff0c\u4e3a\u4fdd\u6301\u548c\u5176\u4ed6\u5e93\u4e00\u81f4\uff0c\u51fd\u6570Wire.receive()\u66f4\u540d\u4e3aWire.read()\n\n

#: debug/Compiler.java:439
\nAs\ of\ Arduino\ 1.0,\ the\ Wire.send()\ function\ was\ renamed\ to\ Wire.write()\ for\ consistency\ with\ other\ libraries.\n\n=\n\u4eceArduino1.0\u5f00\u59cb\uff0c\u4e3a\u4fdd\u6301\u548c\u5176\u4ed6\u5e93\u4e00\u81f4\uff0c\u51fd\u6570Wire.send()\u66f4\u540d\u4e3aWire.write()\n\n

#: SerialMonitor.java:130 SerialMonitor.java:133
baud=\u6ce2\u7279\u7387

#: Preferences.java:389
compilation\ =\u7f16\u8bd1

#: ../../../processing/app/NetworkMonitor.java:111
connected\!=\u5df2\u8fde\u63a5\!

#: ../../../../../app/src/processing/app/Editor.java:1352
http\://www.arduino.cc/=http\://www.arduino.cc/

#: UpdateCheck.java:118
http\://www.arduino.cc/en/Main/Software=http\://www.arduino.cc/en/Main/Software

#: UpdateCheck.java:53
http\://www.arduino.cc/latest.txt=http\://www.arduino.cc/latest.txt

#: Preferences.java:625
#, java-format
ignoring\ invalid\ font\ size\ {0}=\u5ffd\u7565\u65e0\u6548\u7684\u5b57\u53f7{0}

#: Editor.java:936 Editor.java:943
name\ is\ null=\u540d\u79f0\u4e3a\u7a7a

#: ../../../../../arduino-core/src/cc/arduino/contributions/libraries/LibrariesIndexer.java:217
#: ../../../../../arduino-core/src/cc/arduino/contributions/libraries/LibrariesIndexer.java:227
#, java-format
!no\ headers\ files\ (.h)\ found\ in\ {0}=

#: Editor.java:932
serialMenu\ is\ null=\u4e32\u53e3\u83dc\u5355\u4e3a\u7a7a

#: debug/Uploader.java:195
#, java-format
the\ selected\ serial\ port\ {0}\ does\ not\ exist\ or\ your\ board\ is\ not\ connected=\u9009\u62e9\u7684\u4e32\u53e3 {0} \u4e0d\u5b58\u5728\u6216\u5f00\u53d1\u677f\u6ca1\u6709\u8fde\u63a5

#: ../../../processing/app/Base.java:389
#, java-format
unknown\ option\:\ {0}=\u672a\u77e5\u9009\u9879\: {0}

#: Preferences.java:391
upload=\u4e0a\u4f20

#: ../../../../../app/src/cc/arduino/contributions/packages/ui/ContributedPlatformTableCell.java:324
#, java-format
version\ <b>{0}</b>=\u7248\u672c <b>{0}</b>

#: ../../../../../app/src/processing/app/Editor.java:2243
#, java-format
{0}\ -\ {1}\ |\ Arduino\ {2}={0} - {1} | Arduino {2}

#: ../../../cc/arduino/contributions/SignatureVerificationFailedException.java:39
#: ../../../cc/arduino/contributions/SignatureVerificationFailedException.java:43
#, java-format
{0}\ file\ signature\ verification\ failed={0} \u6587\u4ef6\u7b7e\u540d\u9a8c\u8bc1\u5931\u8d25

#: ../../../cc/arduino/contributions/packages/ContributionInstaller.java:310
#, java-format
{0}\ file\ signature\ verification\ failed.\ File\ ignored.={0} \u6587\u4ef6\u7b7e\u540d\u9a8c\u8bc1\u5931\u8d25\u3002\u5df2\u5ffd\u7565\u6587\u4ef6\u3002

#: Editor.java:380
#, java-format
{0}\ files\ added\ to\ the\ sketch.={0} \u4e2a\u6587\u4ef6\u88ab\u6dfb\u52a0\u5230\u8fd9\u4e2a\u9879\u76ee\u3002

#: ../../../../../app/src/processing/app/Base.java:1201
#, java-format
{0}\ libraries={0} \u5e93

#: ../../../../../arduino-core/src/cc/arduino/Compiler.java:76
#, java-format
{0}\ must\ be\ a\ folder={0} \u5fc5\u987b\u4e3a\u6587\u4ef6\u5939

#: ../../../../../app/src/processing/app/EditorLineStatus.java:109
#, java-format
{0}\ on\ {1}={0} \u5728 {1}

#: ../../../../../arduino-core/src/cc/arduino/Compiler.java:78
#, java-format
{0}\ pattern\ is\ missing=\u7f3a\u5c11 {0} \u6a21\u5f0f

#: debug/Compiler.java:365
#, java-format
{0}\ returned\ {1}={0} \u8fd4\u56de {1}

#: Editor.java:2213
#, java-format
{0}\ |\ Arduino\ {1}={0} | Arduino {1}

#: ../../../processing/app/Base.java:519
#, java-format
{0}\:\ Invalid\ argument\ to\ --pref,\ should\ be\ of\ the\ form\ "pref\=value"={0}\: --pref \u53c2\u6570\u9519\u8bef\uff0c\u5e94\u8be5\u4e3a "pref\=value" \u5f62\u5f0f

#: ../../../processing/app/Base.java:476
#, java-format
{0}\:\ Invalid\ board\ name,\ it\ should\ be\ of\ the\ form\ "package\:arch\:board"\ or\ "package\:arch\:board\:options"={0}\: \u5f00\u53d1\u677f\u540d\u79f0\u9519\u8bef\uff0c\u5e94\u8be5\u662f"package\:arch\:board" \u6216 "package\:arch\:board\:options" \u5f62\u5f0f

#: ../../../processing/app/Base.java:507
#, java-format
{0}\:\ Invalid\ option\ for\ board\ "{1}"={0}\: "{1}" \u5f00\u53d1\u677f\u9009\u9879\u65e0\u6548

#: ../../../processing/app/Base.java:502
#, java-format
{0}\:\ Invalid\ option,\ should\ be\ of\ the\ form\ "name\=value"={0}\: \u9009\u9879\u9519\u8bef\uff0c\u5e94\u8be5\u4e3a "name\=value" \u5f62\u5f0f

#: ../../../../../arduino-core/src/processing/app/helpers/CommandlineParser.java:268
#, java-format
!{0}\:\ Invalid\ value\ for\ option\ "{1}"\ for\ board\ "{2}"=

#: ../../../processing/app/Base.java:486
#, java-format
{0}\:\ Unknown\ architecture={0}\: \u672a\u77e5\u7684\u7ed3\u6784

#: ../../../processing/app/Base.java:491
#, java-format
{0}\:\ Unknown\ board={0}\: \u672a\u77e5\u7684\u5f00\u53d1\u677f

#: ../../../processing/app/Base.java:481
#, java-format
{0}\:\ Unknown\ package={0}\: \u672a\u77e5\u7684\u8f6f\u4ef6\u5305

#: ../../../../../arduino-core/src/processing/app/Platform.java:223
#, java-format
{0}Install\ this\ package{1}\ to\ use\ your\ {2}\ board={0}\u5b89\u88c5\u8fd9\u4e2a\u5e93{1} \u6765\u4f7f\u7528 {2} \u5f00\u53d1\u677f
